<?php

/**
 * map actions.
 *
 * @package    sam3
 * @subpackage map
 * @author     Alfred Broda
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class komunikacjamapaComponents extends sfComponents {

    public function executeMenu() {
        $linie = new KtabliczkiPeer();
        $c = new Criteria();
        $c->add(KtabliczkiPeer::STATUS, 0);
        $c->addAscendingOrderByColumn(KtabliczkiPeer::LINIA);
        $c->addGroupByColumn(KtabliczkiPeer::LINIA);
        $c->add(KtabliczkiPeer::WERSJA_ID, KomunikacjaWersjePeer::getCurrentVersions(), Criteria::IN);
        $this->linie_list = $linie->doSelect($c);
    }

    public function executeWiaty() {
        $wiaty = new KwiatyPeer();
        $c = new Criteria();
        $crit0 = $c->getNewCriterion(KwiatyPeer::LOK_X, null, Criteria::ISNOTNULL);
        $crit1 = $c->getNewCriterion(KwiatyPeer::LOK_Y, null, Criteria::ISNOTNULL);
        $crit0->addAnd($crit1);
        $c->add($crit0);
        $c->addAscendingOrderByColumn(KwiatyPeer::NAZWAWIATY);
        $c->addGroupByColumn(KwiatyPeer::NAZWAWIATY);
        $this->wiaty_list = $wiaty->doSelect($c);
    }

    public function getIcon()
    {
        
    }

}
