<?php use_helper('Javascript') ?>
<?php $relroot = sfContext::getInstance()->getRequest()->getRelativeUrlRoot(); ?>

<?php foreach ($przystanki_list as $przystanek): ?>
    <div class="komunikacja_menu_przystanki" 
         <?php if ($przystanek->getLokX() && $przystanek->getLokY() && $przystanek->getLokZ()) { ?>
             onclick="wskaz(<?php echo $przystanek->getLokx() ?>, <?php echo $przystanek->getLoky() ?>,<?php echo $przystanek->getLokz() ?>);" <?php } ?>>
             <?php if ($przystanek->getIkona() != '')
                 echo image_tag('/images/ikony/20x20/' . $przystanek->getIkona())
                 ?>
    <?php echo $przystanek->getNazwaprzystanku(); ?>	
    </div>

    <?php if ($przystanek->getLokX() && $przystanek->getLokY() && $przystanek->getLokZ()) { ?>
        <script type="text/javascript">
            //wyrysowanie markerow poszczegolnych przystankow	
            var point = new google.maps.LatLng(<?php echo $przystanek->getLokx() ?>,<?php echo $przystanek->getLoky() ?>);
            var ikona = 'http://<?php echo $_SERVER['SERVER_NAME'] ?><?php echo $relroot ?>/images/ikony/20x20/<?php echo $przystanek->getIkona() ?>';
            var marker_<?php echo $przystanek->getId() ?> = new google.maps.Marker({
                position: point,
                title: '<?php echo $przystanek->getLinia() . ' - ' . $przystanek->getNazwaprzystanku(); ?>',
                clickable: true,
                icon: ikona});
            marker_<?php echo $przystanek->getId() ?>.setMap(map);
            var mark = allmarkers[<?php echo $przystanek->getId() ?>] = marker_<?php echo $przystanek->getId() ?>;
            google.maps.event.addListener(marker_<?php echo $przystanek->getId() ?>, "click", function() {
                var latlng = marker_<?php echo $przystanek->getId() ?>.getPosition();
                var marker_id = <?php echo $przystanek->getId() ?>;
                //wyciagniecie ajaxem danych przystanku
                var url = '<?php echo url_for('komunikacjamapa/content?przystanek_id=' . $przystanek->getId()) ?>';

                new Ajax.Request(url, {
                    asynchronous: true,
                    evalScripts: true,
                    method: 'get',
                    onComplete: function(request, json) {
                        Element.hide('content_wait');
                    },
                    onLoading: function(request, json) {
                        Element.show('content_wait');
                    },
                    onSuccess: function(res) {
                        var opis_temp = res.responseText;

                        /* Tniemy odpowiedź na bloki */

                        var podstawowe = opis_temp.slice(0, opis_temp.match("<!-- dane podstawowe end").index);
                        var tabliczka = opis_temp.slice(opis_temp.match("<!-- dane podstawowe end").index, opis_temp.match("<!-- tabliczka end").index);
                        var lokalizacja = opis_temp.slice(opis_temp.match("<!-- tabliczka end").index, opis_temp.match("<!-- lokalizacja end").index);
                        var linie = opis_temp.slice(opis_temp.match("<!-- lokalizacja end").index, opis_temp.match("<!-- linie end").index);
                        var contentDiv = document.createElement('div');
                        contentDiv.className = "gpopup komunikacja";
                        //definicja zawartosci zakladek dymka
                        var tabliczkaDiv = document.createElement('div');
                        tabliczkaDiv.className = "gpopup komunikacja";
                        tabliczkaDiv.innerHTML = 'Godziny odjazdu dla przystanku:<br />' + podstawowe + tabliczka;
                        var lokalizacjaDiv = document.createElement('div');
                        lokalizacjaDiv.className = "gpopup komunikacja";
                        lokalizacjaDiv.innerHTML = 'Lokalizacja:<br />' + podstawowe + lokalizacja;
                        var linieDiv = document.createElement('div');
                        linieDiv.className = "gpopup komunikacja";
                        linieDiv.innerHTML = podstawowe + linie;
                        //definicja tytulow zakladek
                        var infoBubble = new InfoBubble({
                            map: map,
                            position: latlng
                        });

                        infoBubble.addTab("Tabliczka", tabliczkaDiv);
                        infoBubble.addTab("Lokalizacja", lokalizacjaDiv);
                        infoBubble.addTab("Linie", linieDiv);
                        console.log(infoBubble);
                        /* var gtabs = [
                         new GInfoWindowTab("Tabliczka", tabliczkaDiv), 
                         new GInfoWindowTab("Lokalizacja", lokalizacjaDiv),
                         new GInfoWindowTab("Linie", linieDiv)];				
                         
                         var fullDiv = contentDiv.cloneNode(true);
                         fullDiv.innerHTML = podstawowe+tabliczka+linie+lokalizacja;
                         
                         /* opis pełny */
                        /*var maxopts = {
                         maxContent: fullDiv,
                         maxTitle: '<?php //echo $przystanek->getLinia().' - '.$przystanek->getNazwaprzystanku();   ?>'
                         }
                         
                         map.openInfoWindowTabs(latlng, gtabs, maxopts); */
                        infoBubble.open();
                    }
                });
            });
        </script>		
    <?php } ?>
<?php endforeach; ?>
<?php foreach ($trasy as $trasa): ?> 
    <script>
        //wyrysowanie trasy przebiegu
        lcValues = new Array();
        k = 0;
        var json_value = eval(<?php echo $trasa->getWezly() ?>);

        if (json_value.size() > 0) {
            json_value._each(function(item) {
                lcValues[k] = new google.maps.LatLng(item.x, item.y);
                k++;
            });
        }

        var polilinia_<?php echo $trasa->getId() ?> = new google.maps.Polyline({
            path: lcValues,
            strokeColor: '<?php echo $trasa->getLinecolor() ?>',
            strokeWidth: <?php echo $trasa->getLinesize() ?>,
            strokeOpacity: 0.7
        });

        polilinia_<?php echo $trasa->getId() ?>.setMap(map);

        var line = alllines[<?php echo $trasa->getId() ?>] = polilinia_<?php echo $trasa->getId() ?>;

    </script>
<?php endforeach; ?>



