-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `komunikacja_tabliczki`
--

CREATE TABLE IF NOT EXISTS `komunikacja_tabliczki` (
  `id` int(11) NOT NULL,
  `przystanek` varchar(20) COLLATE utf8_polish_ci NOT NULL,
  `linia` varchar(20) COLLATE utf8_polish_ci NOT NULL,
  `tabliczka` text COLLATE utf8_polish_ci,
  `nazwaprzystanku` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `kierunek` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `lok_x` decimal(19,15) DEFAULT NULL,
  `lok_y` decimal(19,15) DEFAULT NULL,
  `lok_z` int(11) DEFAULT NULL,
  `komunikat` text COLLATE utf8_polish_ci,
  `ikona` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT '0',
  `typ` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `kolejnosc` int(11) NOT NULL DEFAULT '0',
  `wersja_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `komunikacja_trasy`
--

CREATE TABLE IF NOT EXISTS `komunikacja_trasy` (
  `id` int(11) NOT NULL,
  `linia` varchar(20) COLLATE utf8_polish_ci NOT NULL,
  `kierunek` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `wezly` text COLLATE utf8_polish_ci,
  `linia_nazwa` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `line_size` int(2) DEFAULT NULL,
  `line_color` varchar(10) COLLATE utf8_polish_ci DEFAULT NULL,
  `line_fill_color` varchar(10) COLLATE utf8_polish_ci DEFAULT NULL,
  `line_opacity` decimal(4,2) DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT '0',
  `wersja` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `komunikacja_wersje`
--

CREATE TABLE IF NOT EXISTS `komunikacja_wersje` (
  `id` int(11) NOT NULL,
  `wersja_nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `wersja_opis` text COLLATE utf8_polish_ci,
  `wazna_od` datetime DEFAULT NULL,
  `wazna_do` datetime DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `komunikacja_wiaty`
--

CREATE TABLE IF NOT EXISTS `komunikacja_wiaty` (
  `id` int(11) NOT NULL,
  `nazwawiaty` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `lok_x` decimal(19,15) DEFAULT NULL,
  `lok_y` decimal(19,15) DEFAULT NULL,
  `lok_z` int(11) DEFAULT NULL,
  `komunikat` text COLLATE utf8_polish_ci,
  `ikona` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `komunikacja_tabliczki`
--
ALTER TABLE `komunikacja_tabliczki`
  ADD PRIMARY KEY (`id`),
  ADD KEY `komunikacja_tabliczki_FI_1` (`wersja_id`);

--
-- Indexes for table `komunikacja_trasy`
--
ALTER TABLE `komunikacja_trasy`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `komunikacja_wersje`
--
ALTER TABLE `komunikacja_wersje`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `komunikacja_wiaty`
--
ALTER TABLE `komunikacja_wiaty`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `komunikacja_tabliczki`
--
ALTER TABLE `komunikacja_tabliczki`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `komunikacja_trasy`
--
ALTER TABLE `komunikacja_trasy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `komunikacja_wersje`
--
ALTER TABLE `komunikacja_wersje`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `komunikacja_wiaty`
--
ALTER TABLE `komunikacja_wiaty`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `komunikacja_tabliczki`
--
ALTER TABLE `komunikacja_tabliczki`
  ADD CONSTRAINT `komunikacja_tabliczki_FK_1` FOREIGN KEY (`wersja_id`) REFERENCES `komunikacja_wersje` (`id`);
--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(10, 'ikom', 1, 0, 1, 'Komunikacja', 2, 1, 1);

REPLACE INTO `ustawienie_tbl` (`nazwa`, `tresc`, `updated_at`, `portal_id`) VALUES
('ikom_robocza_admin', '', '2009-10-26 13:06:39', 1),
('ikom_typ_importu', 'busman', '2012-04-19 12:04:34', 1),
('ikom_typ_linii', 'autobus', '2012-04-19 12:04:34', 1),
('ikom_wspolna_ikona', 'tak', '2012-04-19 12:04:34', 1);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
