<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * KomunikacjaWersje filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseKomunikacjaWersjeFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'wersja_nazwa' => new sfWidgetFormFilterInput(),
      'wersja_opis'  => new sfWidgetFormFilterInput(),
      'wazna_od'     => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'wazna_do'     => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'status'       => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'wersja_nazwa' => new sfValidatorPass(array('required' => false)),
      'wersja_opis'  => new sfValidatorPass(array('required' => false)),
      'wazna_od'     => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'wazna_do'     => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'status'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('komunikacja_wersje_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KomunikacjaWersje';
  }

  public function getFields()
  {
    return array(
      'id'           => 'Number',
      'wersja_nazwa' => 'Text',
      'wersja_opis'  => 'Text',
      'wazna_od'     => 'Date',
      'wazna_do'     => 'Date',
      'status'       => 'Number',
    );
  }
}
