<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Ktabliczki filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseKtabliczkiFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'przystanek'      => new sfWidgetFormFilterInput(),
      'linia'           => new sfWidgetFormFilterInput(),
      'tabliczka'       => new sfWidgetFormFilterInput(),
      'nazwaprzystanku' => new sfWidgetFormFilterInput(),
      'kierunek'        => new sfWidgetFormFilterInput(),
      'lok_x'           => new sfWidgetFormFilterInput(),
      'lok_y'           => new sfWidgetFormFilterInput(),
      'lok_z'           => new sfWidgetFormFilterInput(),
      'komunikat'       => new sfWidgetFormFilterInput(),
      'ikona'           => new sfWidgetFormFilterInput(),
      'status'          => new sfWidgetFormFilterInput(),
      'typ'             => new sfWidgetFormFilterInput(),
      'kolejnosc'       => new sfWidgetFormFilterInput(),
      'wersja_id'       => new sfWidgetFormPropelChoice(array('model' => 'KomunikacjaWersje', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'przystanek'      => new sfValidatorPass(array('required' => false)),
      'linia'           => new sfValidatorPass(array('required' => false)),
      'tabliczka'       => new sfValidatorPass(array('required' => false)),
      'nazwaprzystanku' => new sfValidatorPass(array('required' => false)),
      'kierunek'        => new sfValidatorPass(array('required' => false)),
      'lok_x'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'lok_y'           => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'lok_z'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'komunikat'       => new sfValidatorPass(array('required' => false)),
      'ikona'           => new sfValidatorPass(array('required' => false)),
      'status'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'typ'             => new sfValidatorPass(array('required' => false)),
      'kolejnosc'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'wersja_id'       => new sfValidatorPropelChoice(array('required' => false, 'model' => 'KomunikacjaWersje', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('ktabliczki_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ktabliczki';
  }

  public function getFields()
  {
    return array(
      'id'              => 'Number',
      'przystanek'      => 'Text',
      'linia'           => 'Text',
      'tabliczka'       => 'Text',
      'nazwaprzystanku' => 'Text',
      'kierunek'        => 'Text',
      'lok_x'           => 'Number',
      'lok_y'           => 'Number',
      'lok_z'           => 'Number',
      'komunikat'       => 'Text',
      'ikona'           => 'Text',
      'status'          => 'Number',
      'typ'             => 'Text',
      'kolejnosc'       => 'Number',
      'wersja_id'       => 'ForeignKey',
    );
  }
}
