<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Ktrasy filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseKtrasyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'linia'           => new sfWidgetFormFilterInput(),
      'kierunek'        => new sfWidgetFormFilterInput(),
      'wezly'           => new sfWidgetFormFilterInput(),
      'linia_nazwa'     => new sfWidgetFormFilterInput(),
      'line_size'       => new sfWidgetFormFilterInput(),
      'line_color'      => new sfWidgetFormFilterInput(),
      'line_fill_color' => new sfWidgetFormFilterInput(),
      'line_opacity'    => new sfWidgetFormFilterInput(),
      'status'          => new sfWidgetFormFilterInput(),
      'wersja'          => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'linia'           => new sfValidatorPass(array('required' => false)),
      'kierunek'        => new sfValidatorPass(array('required' => false)),
      'wezly'           => new sfValidatorPass(array('required' => false)),
      'linia_nazwa'     => new sfValidatorPass(array('required' => false)),
      'line_size'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'line_color'      => new sfValidatorPass(array('required' => false)),
      'line_fill_color' => new sfValidatorPass(array('required' => false)),
      'line_opacity'    => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'status'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'wersja'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('ktrasy_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ktrasy';
  }

  public function getFields()
  {
    return array(
      'id'              => 'Number',
      'linia'           => 'Text',
      'kierunek'        => 'Text',
      'wezly'           => 'Text',
      'linia_nazwa'     => 'Text',
      'line_size'       => 'Number',
      'line_color'      => 'Text',
      'line_fill_color' => 'Text',
      'line_opacity'    => 'Number',
      'status'          => 'Number',
      'wersja'          => 'Number',
    );
  }
}
