<?php

/**
 * Kwiaty form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseKwiatyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'nazwawiaty' => new sfWidgetFormInput(),
      'lok_x'      => new sfWidgetFormInput(),
      'lok_y'      => new sfWidgetFormInput(),
      'lok_z'      => new sfWidgetFormInput(),
      'komunikat'  => new sfWidgetFormTextarea(),
      'ikona'      => new sfWidgetFormInput(),
      'status'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'Kwiaty', 'column' => 'id', 'required' => false)),
      'nazwawiaty' => new sfValidatorString(array('max_length' => 255)),
      'lok_x'      => new sfValidatorNumber(array('required' => false)),
      'lok_y'      => new sfValidatorNumber(array('required' => false)),
      'lok_z'      => new sfValidatorInteger(array('required' => false)),
      'komunikat'  => new sfValidatorString(array('required' => false)),
      'ikona'      => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'status'     => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('kwiaty[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Kwiaty';
  }


}
