<?php



class KomunikacjaWersjeMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.KomunikacjaWersjeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(KomunikacjaWersjePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(KomunikacjaWersjePeer::TABLE_NAME);
		$tMap->setPhpName('KomunikacjaWersje');
		$tMap->setClassname('KomunikacjaWersje');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('WERSJA_NAZWA', 'WersjaNazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('WERSJA_OPIS', 'WersjaOpis', 'LONGVARCHAR', false, null);

		$tMap->addColumn('WAZNA_OD', 'WaznaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('WAZNA_DO', 'WaznaDo', 'TIMESTAMP', false, null);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', true, 1);

	} 
} 