<?php



class KtrasyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.KtrasyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(KtrasyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(KtrasyPeer::TABLE_NAME);
		$tMap->setPhpName('Ktrasy');
		$tMap->setClassname('Ktrasy');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('LINIA', 'Linia', 'VARCHAR', true, 20);

		$tMap->addColumn('KIERUNEK', 'Kierunek', 'VARCHAR', true, 255);

		$tMap->addColumn('WEZLY', 'Wezly', 'LONGVARCHAR', false, null);

		$tMap->addColumn('LINIA_NAZWA', 'LiniaNazwa', 'VARCHAR', false, 255);

		$tMap->addColumn('LINE_SIZE', 'LineSize', 'INTEGER', false, 2);

		$tMap->addColumn('LINE_COLOR', 'LineColor', 'VARCHAR', false, 10);

		$tMap->addColumn('LINE_FILL_COLOR', 'LineFillColor', 'VARCHAR', false, 10);

		$tMap->addColumn('LINE_OPACITY', 'LineOpacity', 'DECIMAL', false, 4);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', true, 1);

		$tMap->addColumn('WERSJA', 'Wersja', 'INTEGER', true, 11);

	} 
} 