<?php


abstract class BaseKtrasy extends BaseObject  implements Persistent {


  const PEER = 'KtrasyPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $linia;

	
	protected $kierunek;

	
	protected $wezly;

	
	protected $linia_nazwa;

	
	protected $line_size;

	
	protected $line_color;

	
	protected $line_fill_color;

	
	protected $line_opacity;

	
	protected $status;

	
	protected $wersja;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status = 0;
		$this->wersja = 0;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getLinia()
	{
		return $this->linia;
	}

	
	public function getKierunek()
	{
		return $this->kierunek;
	}

	
	public function getWezly()
	{
		return $this->wezly;
	}

	
	public function getLiniaNazwa()
	{
		return $this->linia_nazwa;
	}

	
	public function getLineSize()
	{
		return $this->line_size;
	}

	
	public function getLineColor()
	{
		return $this->line_color;
	}

	
	public function getLineFillColor()
	{
		return $this->line_fill_color;
	}

	
	public function getLineOpacity()
	{
		return $this->line_opacity;
	}

	
	public function getStatus()
	{
		return $this->status;
	}

	
	public function getWersja()
	{
		return $this->wersja;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = KtrasyPeer::ID;
		}

		return $this;
	} 
	
	public function setLinia($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->linia !== $v) {
			$this->linia = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINIA;
		}

		return $this;
	} 
	
	public function setKierunek($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->kierunek !== $v) {
			$this->kierunek = $v;
			$this->modifiedColumns[] = KtrasyPeer::KIERUNEK;
		}

		return $this;
	} 
	
	public function setWezly($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->wezly !== $v) {
			$this->wezly = $v;
			$this->modifiedColumns[] = KtrasyPeer::WEZLY;
		}

		return $this;
	} 
	
	public function setLiniaNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->linia_nazwa !== $v) {
			$this->linia_nazwa = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINIA_NAZWA;
		}

		return $this;
	} 
	
	public function setLineSize($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->line_size !== $v) {
			$this->line_size = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINE_SIZE;
		}

		return $this;
	} 
	
	public function setLineColor($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->line_color !== $v) {
			$this->line_color = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINE_COLOR;
		}

		return $this;
	} 
	
	public function setLineFillColor($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->line_fill_color !== $v) {
			$this->line_fill_color = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINE_FILL_COLOR;
		}

		return $this;
	} 
	
	public function setLineOpacity($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->line_opacity !== $v) {
			$this->line_opacity = $v;
			$this->modifiedColumns[] = KtrasyPeer::LINE_OPACITY;
		}

		return $this;
	} 
	
	public function setStatus($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status !== $v || $v === 0) {
			$this->status = $v;
			$this->modifiedColumns[] = KtrasyPeer::STATUS;
		}

		return $this;
	} 
	
	public function setWersja($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->wersja !== $v || $v === 0) {
			$this->wersja = $v;
			$this->modifiedColumns[] = KtrasyPeer::WERSJA;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(KtrasyPeer::STATUS,KtrasyPeer::WERSJA))) {
				return false;
			}

			if ($this->status !== 0) {
				return false;
			}

			if ($this->wersja !== 0) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->linia = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->kierunek = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->wezly = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->linia_nazwa = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->line_size = ($row[$startcol + 5] !== null) ? (int) $row[$startcol + 5] : null;
			$this->line_color = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->line_fill_color = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->line_opacity = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->status = ($row[$startcol + 9] !== null) ? (int) $row[$startcol + 9] : null;
			$this->wersja = ($row[$startcol + 10] !== null) ? (int) $row[$startcol + 10] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 11; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Ktrasy object", $e);
		}
	}

	
	public function ensureConsistency()
	{

	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = KtrasyPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			KtrasyPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			KtrasyPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = KtrasyPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = KtrasyPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += KtrasyPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = KtrasyPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = KtrasyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getLinia();
				break;
			case 2:
				return $this->getKierunek();
				break;
			case 3:
				return $this->getWezly();
				break;
			case 4:
				return $this->getLiniaNazwa();
				break;
			case 5:
				return $this->getLineSize();
				break;
			case 6:
				return $this->getLineColor();
				break;
			case 7:
				return $this->getLineFillColor();
				break;
			case 8:
				return $this->getLineOpacity();
				break;
			case 9:
				return $this->getStatus();
				break;
			case 10:
				return $this->getWersja();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = KtrasyPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getLinia(),
			$keys[2] => $this->getKierunek(),
			$keys[3] => $this->getWezly(),
			$keys[4] => $this->getLiniaNazwa(),
			$keys[5] => $this->getLineSize(),
			$keys[6] => $this->getLineColor(),
			$keys[7] => $this->getLineFillColor(),
			$keys[8] => $this->getLineOpacity(),
			$keys[9] => $this->getStatus(),
			$keys[10] => $this->getWersja(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = KtrasyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setLinia($value);
				break;
			case 2:
				$this->setKierunek($value);
				break;
			case 3:
				$this->setWezly($value);
				break;
			case 4:
				$this->setLiniaNazwa($value);
				break;
			case 5:
				$this->setLineSize($value);
				break;
			case 6:
				$this->setLineColor($value);
				break;
			case 7:
				$this->setLineFillColor($value);
				break;
			case 8:
				$this->setLineOpacity($value);
				break;
			case 9:
				$this->setStatus($value);
				break;
			case 10:
				$this->setWersja($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = KtrasyPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setLinia($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setKierunek($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setWezly($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setLiniaNazwa($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setLineSize($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setLineColor($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setLineFillColor($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setLineOpacity($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setStatus($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setWersja($arr[$keys[10]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(KtrasyPeer::DATABASE_NAME);

		if ($this->isColumnModified(KtrasyPeer::ID)) $criteria->add(KtrasyPeer::ID, $this->id);
		if ($this->isColumnModified(KtrasyPeer::LINIA)) $criteria->add(KtrasyPeer::LINIA, $this->linia);
		if ($this->isColumnModified(KtrasyPeer::KIERUNEK)) $criteria->add(KtrasyPeer::KIERUNEK, $this->kierunek);
		if ($this->isColumnModified(KtrasyPeer::WEZLY)) $criteria->add(KtrasyPeer::WEZLY, $this->wezly);
		if ($this->isColumnModified(KtrasyPeer::LINIA_NAZWA)) $criteria->add(KtrasyPeer::LINIA_NAZWA, $this->linia_nazwa);
		if ($this->isColumnModified(KtrasyPeer::LINE_SIZE)) $criteria->add(KtrasyPeer::LINE_SIZE, $this->line_size);
		if ($this->isColumnModified(KtrasyPeer::LINE_COLOR)) $criteria->add(KtrasyPeer::LINE_COLOR, $this->line_color);
		if ($this->isColumnModified(KtrasyPeer::LINE_FILL_COLOR)) $criteria->add(KtrasyPeer::LINE_FILL_COLOR, $this->line_fill_color);
		if ($this->isColumnModified(KtrasyPeer::LINE_OPACITY)) $criteria->add(KtrasyPeer::LINE_OPACITY, $this->line_opacity);
		if ($this->isColumnModified(KtrasyPeer::STATUS)) $criteria->add(KtrasyPeer::STATUS, $this->status);
		if ($this->isColumnModified(KtrasyPeer::WERSJA)) $criteria->add(KtrasyPeer::WERSJA, $this->wersja);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(KtrasyPeer::DATABASE_NAME);

		$criteria->add(KtrasyPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setLinia($this->linia);

		$copyObj->setKierunek($this->kierunek);

		$copyObj->setWezly($this->wezly);

		$copyObj->setLiniaNazwa($this->linia_nazwa);

		$copyObj->setLineSize($this->line_size);

		$copyObj->setLineColor($this->line_color);

		$copyObj->setLineFillColor($this->line_fill_color);

		$copyObj->setLineOpacity($this->line_opacity);

		$copyObj->setStatus($this->status);

		$copyObj->setWersja($this->wersja);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new KtrasyPeer();
		}
		return self::$peer;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
	}

} 