function rand ( n ) {
   		return ( Math.floor ( Math.random ( ) * n + 1 ) );
}
    
function pause(millis) {
        var date = new Date();
        var curDate = null;
        do { curDate = new Date(); }
        while(curDate-date < millis)
}
    
    var map;
   	var geocoder;
	var edit = false;
	var alldesc = new Array();
	var allmarkers = new Array();
	var allpolys = new Array();
	var alllines = new Array();
	var allcats = new Array();
	var bounds;
	var czoom;
	var dragzoomc;
	var controls;
	
	
	//zmienne do wyznaczania tras
	var directionsPanel;
    var directions;


/* Główny konstruktor Mapy */
function init(){
      	map = new google.maps.Map(document.getElementById("map"));
		//diagnostycznie - czy mapa pracuje w trybie markerow czy poligonow
		//alert(type);
		
		if(type=='marker'){
			var actx = document.getElementById('lok_x').value;
			var acty = document.getElementById('lok_y').value;
			var actz = document.getElementById('lok_z').value;
		}
		
		//jezeli nie ma wartosci w formularzu pokazac srodek Bydgoszczy
		if(actx==0 || actx==undefined ) actx = 52.8003;
		if(acty==0 || acty==undefined) acty = 18.2656;
		if(actz==0 || actz==undefined) actz = 12.0;
		
		if(type!='marker'){
		//domyslna lokalizacja dla obiektow poligonowych i liniowych
			actx = 52,8003;
			acty = 18,2656;
			actz = 12;
		}
		
		//diagnostycznie
		//alert(actx+'\n'+acty+'\n'+actz);
		       
		map.setCenter(new google.maps.LatLng(actx,acty));

                map.setZoom(12);
                map.setMapTypeId(google.maps.MapTypeId.ROADMAP);
		//map.addMapType(G_SATELLITE_3D_MAP);
                //map.enableScrollWheelZoom();
                //map.enableContinuousZoom();
	
		/* Moduły dodatkowe */
		//setupDragZoom();
                //geocoder = new GClientGeocoder();
		
}

function addControls() {
	controls._each(function(control){
		map.addControl(control);
	})
  	if (dragzoomc) map.addControl(dragzoomc);
}

function removeControls() {
	if (dragzoomc) map.removeControl(dragzoomc);
	controls._each(function(control){
		map.removeControl(control);
	})
}

/* Funkcje Mapy */

function mapChange(type) {
    map.setMapType(type);
}
    
/* Funkcje Zoomu i położenia */

function setupDragZoom() {
      /* first set of options is for the visual overlay.*/
      var boxStyleOpts = {
          opacity: .2,
          border: "2px solid red"
      };

      /* second set of options is for everything else */
      var otherOpts = {
          buttonHTML: "<img src='http://gmaps-utility-library.googlecode.com/svn/trunk/dragzoom/release/examples/zoom-button.gif' />",
          buttonZoomingHTML: "<img src='http://gmaps-utility-library.googlecode.com/svn/trunk/dragzoom/release/examples/zoom-button-activated.gif' />",
          buttonStartingStyle: {width: '24px', height: '24px'},
          overlayRemoveTime: 500};
	  dragzoomc = new DragZoomControl(boxStyleOpts, otherOpts, {}),new GControlPosition(G_ANCHOR_BOTTOM_RIGHT, new GSize(22, 286))
}

/* zoomend, moveend */

function checkBounds() {
	bounds = map.getBounds();
	czoom = map.getZoom();
	var inside = blimit.containsBounds(bounds);
	if (!inside) {
		if (bounds.containsBounds(blimit)) {
			map.setZoom(czoom+1);
			return false;
		} else {
			var ne = bounds.getNorthEast();
			var lne = blimit.getNorthEast();
			var sw = bounds.getSouthWest();
			var lsw = blimit.getSouthWest();
			var dx = 0;
			var dy = 0;
			if (ne.x > lne.x){
				dx = +0.5;
			} else if (sw.x < lsw.x) {
				dx = -0.5;
			};
			if (ne.y > lne.y){
				dy = -0.5;
			} else if (sw.y < lsw.y) {
				dy = +0.5;
			};
			map.panDirection(dx,dy);
			return false;
		}
	} else {
		return true;
	}
}

function wskaz(x,y,z) {
	map.setCenter(new google.maps.LatLng(x,y));
	map.setZoom(Number(z));
}
