﻿/**
 * Wyrysowywanie i edycja Polygon-ów oraz lini na mapach google
 * @author Paweł Zawada
 */
 
featureTable_ = document.createElement("table");
featureTable_.id = "featuretbody";

var COLORS = [["red", "#ff0000"], ["orange", "#ff8800"], ["green","#008000"],
              ["blue", "#000080"], ["purple", "#800080"]];
var options = {};
var lineCounter_ = 0;
var shapeCounter_ = 0;
var markerCounter_ = 0;
var colorIndex_ = 0;
var featureTable_;

var polygons = new Array();
var lines = new Array();
var table_points = new Array();
var itable;
var lcValues;
var wyznaczona;
var directionsDisplay

var fill_color;
var line_color;
var line_size;
var opacity;

/* Przechowuje współrzędne ostatniego kliknięcia na poligon */ 
var temp_latlng;  		

 /* Tworzenie DIVa z zawartością zakładki do dymku */
function polyTab(item) {
	var ret = document.createElement('div');
	ret.innerHTML = 'Nazwa obiektu: '+item.id+"<br>"+item.op;;
	return ret;
} 

var polygons = new Array();

function getColor(named) {
  return COLORS[(colorIndex_++) % COLORS.length][named ? 0 : 1];
}

/*
*	Funkcja odpowiada za rozpoczenicie rysowania poligonu.
*	Przyjmujac jako parametr null rysuje nowy poligon natomiast po podaniu tablicy 
*	wspolrzednych geograficznych rysuje poligon oparty na wyznaczonych wspolrzednych
*/
function startShape(points) {
//  GEvent.removeListener(listener);
  	var color = getColor(false);
  	name = $('iobiekt_tbl_iobiekt_nazwa').value;
  	
  	fill_color = $('iobiekt_tbl_iobiekt_fill_color').value;
	line_color = $('iobiekt_tbl_iobiekt_line_color').value;
	line_size = $('iobiekt_tbl_iobiekt_line_size').value;
	opacity = $('iobiekt_tbl_iobiekt_opacity').value;
  	
  		if(opacity == "" || opacity == null){
  			opacity = 0.5;
			$('iobiekt_tbl_iobiekt_opacity').value = opacity; 
		}
		if(fill_color == "" || fill_color == null){
			fill_color = "#ff0000";
			$('iobiekt_tbl_iobiekt_fill_color').value = fill_color;
		}
		if(line_color == "" || line_color == ""){
			line_color = "#ff0000";
			$('iobiekt_tbl_iobiekt_line_color').value = line_color;
		}
		if(line_size == "" || line_size == 0 || line_size == null){
			line_size = 2;
			$('iobiekt_tbl_iobiekt_line_size').value = "2";
		}
  	
  	if(points == null) { 
  		var	polygon = new google.maps.Polygon({
            path:[], 
            strokeColor: line_color,
            strokeOpacity: 0.8,
            strokeWeight: line_size,
            fillColor: fill_color,
            fillOpacity: opacity,
            editable: true
        });
		
  		polygons[shapeCounter_] = polygon;
  		startDrawing(polygons[shapeCounter_], shapeCounter_++,/* "Obszar " + (++shapeCounter_) */ name, function() {
    		var cell = this;
    		var area = polygon.getArea();
    
    		cell.innerHTML = (Math.round(area / 10000) / 100) + "km<sup>2</sup>";
    		preparedPoints(shapeCounter_ -1);
  	 
  		}, color);
  	} else {
  		

        var polygon = new google.maps.Polygon({
            path:points, 
            strokeColor: line_color,
            strokeOpacity: 0.8,
            strokeWeight: line_size,
            fillColor: fill_color,
            fillOpacity: opacity,
        });
  		
  //	 shapeCounter_ = 0;
  	 	polygons[shapeCounter_] = polygon;
  	
  		startDrawing2(polygons[shapeCounter_], shapeCounter_++ ,/* "Obszar " + (++shapeCounter_) */ name, function() {
    		var cell = this;
    		var area = polygon.getArea();
    
    		cell.innerHTML = (Math.round(area / 10000) / 100) + "km<sup>2</sup>";
  	
 			preparedPoints(shapeCounter_ -1);
  		}, color);
  	}
}

function startLine(points) {
 	name = $('linia_nazwa').value;
 	line_size = $('line_size').value;
 	line_color = $('line_color').value; 
 
	if(opacity == "" || opacity == null){
		opacity = 0.5;
		$('line_opacity').value = opacity; 
	}
	if(fill_color == "" || fill_color == null){
		fill_color = "#ff0000";
		$('line_fill_color').value = fill_color;
	}
	if(line_color == "" || line_color == ""){
		line_color = "#ff0000";
		$('line_color').value = line_color;
	}
	if(line_size == "" || line_size == 0 || line_size == null){
		line_size = 4;
		$('line_size').value = "4";
	}
 	
  	//var color = getColor(false);
  	if(points == null){
  	
  		var line = new google.maps.Polyline({
                path: [], 
                strokeColor: line_color,
                editable: true
            });
  		line.weight = line_size;
  		lines[lineCounter_] = line;
  		startDrawing(line, lineCounter_++,name, function() {
    		var cell = this;
    		var len = line.getLength();
    		cell.innerHTML = (Math.round(len / 10) / 100) + "km";
    		preparedPoints(lineCounter_ -1);
  			}, line_color);
  	}
  	else {
	lines[lineCounter_]=0;
  	
  		var line = new google.maps.Polyline({
                    path: points, 
                    strokeColor: line_color//,
                    //editable: true
            });
			
		/*google.maps.event.addListener(line,"mouseover",function(){
		line.setEditable(true);
		});
		google.maps.event.addListener(line,"mouseout",function(){
		line.setEditable(false);
		});*/	
  		line.weight = line_size;
  		lines[lineCounter_] = line;
  		startDrawing2(line, lineCounter_++,name, function() {
    		var cell = this;
    		var len = line.getLength();
    		cell.innerHTML = (Math.round(len / 10) / 100) + "km";
     		preparedPoints(lineCounter_ -1);
  		}, line_color);
  	}
  
}

function addFeatureEntry(poly,number,name, color) {
  currentRow_ = document.createElement("tr");
  currentRow_.id = "poly_"+number;
  var colorCell = document.createElement("td");
  currentRow_.appendChild(colorCell);
  colorCell.style.backgroundColor = color;
  colorCell.style.width = "1em";
  colorCell.valign = "top";
  colorCell.innerHTML = "<div onclick='deletePoly("+number+")' >Usun</div>";
  
  var nameCell = document.createElement("td");
  currentRow_.appendChild(nameCell);
  nameCell.innerHTML = name;
  var descriptionCell = document.createElement("td");
  descriptionCell.valign = "top";
  currentRow_.appendChild(descriptionCell);
  featureTable_.appendChild(currentRow_);
  return {desc: descriptionCell, color: colorCell};
}

function startDrawing(poly,number,name, onUpdate, color) {
  	
	
	
	
	poly.setMap(map);
    google.maps.event.clearListeners(map,'click');
    google.maps.event.addListener(map, 'click', function(event) {
                 
        var paths = poly.getPath();
      
        paths.push(event.latLng);
         
    });
    google.maps.event.addListener(poly, "click", function() {

        // Potrzebne do usówania w panelu administracyjnym
        polygon = poly;   
        //select("hand_b");
        var cells = addFeatureEntry(poly,number,name, color);


   
        preparedPoints(number);
        
        google.maps.event.clearListeners(poly,'click');
        google.maps.event.clearListeners(map,'click');
        google.maps.event.addListener(poly, "click", function(event) {
            var index = event.vertex;
            if (typeof index == "number") {
                poly.getPath().removeAt(index);
            } else {


                // Przygotowanie tabeli table_points z punktami do wyslania
                preparedPoints(number);
                var item = new Object();
                item.id = name;
                var poly_desc;
                poly_desc = document.createElement("div");
       		
                if(type == 'poly'){ 
    			
                    var area = google.maps.geometry.spherical.computeArea(poly.getPath().b);
                    var poly_area = (Math.round(area / 10000) / 100) + "km<sup>2</sup>";
    			 fill_color = $('iobiekt_tbl_iobiekt_fill_color').value;
  				 line_color = $('iobiekt_tbl_iobiekt_line_color').value;
  				 line_size = $('iobiekt_tbl_iobiekt_line_size').value;
  				 opacity = $('iobiekt_tbl_iobiekt_opacity').value;
  				poly_opa = opacity * 100
     			//poly_desc = document.createElement("div");
     			poly_desc.innerHTML = "<input type='button' onclick='deletePoly("+number+")' value='Usuń' \/><br/>" 
     		+"<b>Powierzchnia: </b>"+poly_area+"<br/>"
			+"<input type='button' onclick='savePoly("+number+",\""+name+"\")' value='Zapisz' \/><br/>"
			+"<div id='colorpicker301' class='colorpicker301'></div>"
			+"<input type='button' onclick=\"showColorGrid3('input_field_1','sample_1',"+number+");\" value='Kolor obszaru'>"
			+"<input type='hidden' ID='input_field_1' size='9' value='"+fill_color+"' >&nbsp;"
			+"<input type='text' ID='sample_1' size='1' value=''  STYLE='background-color: "+fill_color+";'>"+
     	 	"<br/><b>Opacity:</b><div id='slider_target'>"
			+"<div class='form_widget_amount_slider'></div></div>"
			+"<input type='hidden' id='hue' value='"+poly_opa+"'  />"
			+"<input type='text' ID='poly_opa' value='"+opacity+"' size='2' />" 
			+"<script type='text/javascript'>form_widget_amount_slider('slider_target',$('hue'),150,0,100, 'changeObjColor("+number+")');</script>"
			+"<br/><div id='colorpicker301' class='colorpicker301'></div>"
			+"<input type='button' onclick=\"showColorGrid3('input_field_2','sample_2',"+number+");\" value='Kolor krewędzi'>"
			+"<input type='hidden' ID='input_field_2' size='9' value='"+line_color+"' >&nbsp;"
			+"<input type='text' ID='sample_2' size='1' value=''  STYLE='background-color: "+line_color+";'>"
			+"<br/><b>Grubość krawędzi:</b><div id='slider_target2'>"
			+"<div class='form_widget_amount_slider'></div></div>"
			+"<input type='text' ID='hue2' value='"+line_size+"'  size='2'/>"
			+"<script type='text/javascript'>form_widget_amount_slider('slider_target2',$('hue2'),150,1,30, 'changeObjColor("+number+")');</script>"
     
     		;
     		}
     
     		if(type == 'line'){

                    var len = google.maps.geometry.spherical.computeLength(poly.getPath().b);
     			var	linelen = (Math.round(len / 10) / 100) + "km";
     			var line_color = $('line_color').value;
  				var line_size = $('line_size').value;
     			//poly_desc = document.createElement("div");
     			poly_desc.innerHTML = "<input type='button' onclick='deletePoly("+number+")' value='Usuń' \/>" + name+"<br/>" 
     		+"Długość lini: "+linelen+"<br/>"
    	 	+"<input type='button' onclick='savePoly("+number+",\""+name+"\")' value='Zapisz' \/>"
     		+"<br/><div id='colorpicker301' class='colorpicker301'></div>"
			+"<input type='button' onclick=\"showColorGrid3('input_field_2','sample_2',"+number+");\" value='Kolor linii'>"
			+"<input type='hidden' ID='input_field_2' size='9' value='"+line_color+"' >&nbsp;"
			+"<input type='text' ID='sample_2' size='1' value=''  STYLE='background-color: "+line_color+";'>"
     		+"<br/><b>Grubość linii:</b>"
			+"<div id='slider_target2'><div class='form_widget_amount_slider'></div></div>"
			+"<input type='text' ID='hue2' value='"+line_size+"'  size='2' onkeyup='changeObjColor("+number+")'/>"
     		+"<script type='text/javascript'>form_widget_amount_slider('slider_target2',$('hue2'),150,1,30, 'changeObjColor("+number+")');</script>";
     		} 
     
    
     		if(type == 'poly'){
     			item.type = "poly";
     		}
       
       		if(type == 'line'){
     			item.type = "line";
     		}
     		item.op = poly_desc.innerHTML;
     		var tabs = edform(item);
			var gtabs = Array();
			var n = 0;
var infoBubble = new InfoBubble({       
                    map: map,
                    position: event.latLng             
                }); 
     
                if(tabs.length>1){
                    tabs._each(function(tab){
                    
                        infoBubble.addTab(tab.label, tab.content);
                        // gtabs[n] = new GInfoWindowTab(tab.label,tab.content);
                        n++;
                    });

                }
                else{
                    infoBubble.setContent(tabs[0].content)
                }
                infoBubble.open();
			/*
			GEvent.addListener(marker, "infowindowbeforeclose", function() {
    			    alert("Zmiany nie zostaną zapisane!");
  			});
     		*/
     //map.openInfoWindowHtml(latlng,poly_desc);
       // var newColor = getColor(false);
       // cells.color.style.backgroundColor = newColor
       // poly.setStrokeStyle({color: newColor, weight: 4});
      }
    });
  });

 
}

function startDrawing2(poly,number,name, onUpdate, color) {
  		
  
    poly.setMap(map);
  	//poly.enableDrawing(options);
  	//poly.setEditable({onEvent: "mouseover"});
  	//poly.disableEditing({onEvent: "mouseout"});
	
	// Potrzebne do usówania w panelu administracyjnym
	polygon = poly;

    var cells = addFeatureEntry(poly,number,name, color);
    //GEvent.bind(poly, "lineupdated", cells.desc, onUpdate);
   	preparedPoints(number);
    google.maps.event.addListener(poly, "click", function(event) {
        var index = event.vertex;
        if (typeof(index) == "number") {
            poly.deleteVertex(index);
        } else {


            var opacity = null;

            preparedPoints(number);
            var item = new Object();
            item.id = name;
            var poly_desc = document.createElement("div");
            if(type == 'poly') {
                var area = google.maps.geometry.spherical.computeArea(poly.getPath().b);
     			var poly_area = (Math.round(area / 10000) / 100) + "km<sup>2</sup>";
    			 fill_color = $('iobiekt_tbl_iobiekt_fill_color').value;
  				 line_color = $('iobiekt_tbl_iobiekt_line_color').value;
  				 line_size = $('iobiekt_tbl_iobiekt_line_size').value;
  				 opacity = $('iobiekt_tbl_iobiekt_opacity').value * 100;
  				 poly_opa = $('iobiekt_tbl_iobiekt_opacity').value;
     			//poly_desc = document.createElement("div");
     			poly_desc.innerHTML = "<input type='button' onclick='deletePoly("+number+")' value='Usuń' \/><br/>" 
     		+"<b>Powierzchnia: </b>"+poly_area+"<br/>"+"<input type='button' onclick='savePoly("+number+",\""+name+"\")' value='Zapisz' \/><br/>"+
     		"<div id='colorpicker301' class='colorpicker301'></div><input type='button' onclick=\"showColorGrid3('input_field_1','sample_1',"+number+");\" value='Kolor obszaru'><input type='hidden' ID='input_field_1' size='9' value='"+fill_color+"' >&nbsp;<input type='text' ID='sample_1' size='1' value=''  STYLE='background-color: "+fill_color+";'>"+
     	 	"<br/><b>Opacity:</b><div id='slider_target'><div class='form_widget_amount_slider'></div></div><input type='hidden' ID='hue' value='"+opacity+"'  /><input type='text' ID='poly_opa' value='"+poly_opa+"' size='2' readonly/>" +
     		"<script type='text/javascript'>form_widget_amount_slider('slider_target',$('hue'),150,0,100, 'changeObjColor("+number+")');</script>"+
     		"<br/><div id='colorpicker301' class='colorpicker301'><\/div><input type='button' onclick=\"showColorGrid3('input_field_2','sample_2',"+number+");\" value='Kolor krewędzi'><input type='hidden' ID='input_field_2' size='9' value='"+line_color+"' >&nbsp;<input type='text' ID='sample_2' size='1' value=''  STYLE='background-color: "+line_color+";'>"+
     		"<br/><b>Grubość krawędzi:</b><div id='slider_target2'><div class='form_widget_amount_slider'></div></div><input type='text' ID='hue2' value='"+line_size+"'  size='2'/>"+
     		"<script type='text/javascript'>form_widget_amount_slider('slider_target2',$('hue2'),150,1,30, 'changeObjColor("+number+")');</script>";
     	}
     
     	if(type == 'line') {
      		 var len = google.maps.geometry.spherical.computeLength(poly.getPath().b);poly.getLength();
     			var	linelen = (Math.round(len / 10) / 100) + "km";
     			 line_color = $('line_color').value;
  				 line_size = $('line_size').value;
   		poly_desc.innerHTML = "<input type='button' onclick='deletePoly("+number+")' value='Usuń' \/>&nbsp;<input type='button' onclick='savePoly("+number+",\""+name+"\")' value='Zapisz' \/><br /><br /><strong>LINIA: </strong>" + name+"<br />" 
     		+"<strong>Długość lini: </strong>"+linelen+"<br/>"+
    	 	
     		"<br/><div id='colorpicker301' class='colorpicker301'><\/div><input type='button' onclick=\"showColorGrid3('input_field_2','sample_2',"+number+");\" value='Kolor linii'><input type='hidden' ID='input_field_2' size='9' value='"+line_color+"' >&nbsp;<input type='text' ID='sample_2' size='1' value=''  STYLE='background-color: "+line_color+";'>"+
     		"<br/><b>Grubość linii:</b><div id='slider_target2'><div class='form_widget_amount_slider'></div></div><input type='text' ID='hue2' value='"+line_size+"'  size='2' onkeyup='changeObjColor("+number+")'/>"+
     		"<script type='text/javascript'>form_widget_amount_slider('slider_target2',$('hue2'),150,1,30, 'changeObjColor("+number+")');</script>"
     
    	 	;
     	} 
     
    
     	if(type == 'poly'){
     		item.type = "poly";
     	}
       	if(type == 'line'){
     		item.type = "line";
     	}
     	item.op = poly_desc.innerHTML;
     	var tabs = edform(item);
		var gtabs = Array();
		var n = 0;
var infoBubble = new InfoBubble({       
                    map: map,
                    position: event.latLng             
                }); 
     
                if(tabs.length>1){
                    tabs._each(function(tab){
                        infoBubble.addTab(tab.label, tab.content);
                        n++;
                    });

                }
                else{
                    infoBubble.setContent(tabs[0].content)
                }
 infoBubble.open();
		/* Stare funkcje 
		GEvent.addListener(marker, "infowindowbeforeclose", function() {
    		alert("Zmiany nie zostaną zapisane!");
  		}); */
     
     	//map.openInfoWindowHtml(latlng,poly_desc);
       	// var newColor = getColor(false);
       	// cells.color.style.backgroundColor = newColor
       	// poly.setStrokeStyle({color: newColor, weight: 4});
      }
    });
}
/**
*	Funkcja odpowiada za usuniecie obiektu z mapy po stronie panelu.
*	Po usunieciu obiektu czysci tablice wykorzystywane do przyesylania wspolrzednych.
*/
function deletePoly(poly_nr) {
alert(poly_nr);
  if(type == 'poly'){
    	map.removeOverlay(polygons[poly_nr]);
    	$('polygon').value = "";
    	map.closeInfoWindow();
    	table_points = new Array();
    	lcValues = new Array();
    }
    if(type == 'line'){
    	
    	map.removeOverlay(lines[poly_nr]);
    	$('line').value = "";
    	map.closeInfoWindow();
    	table_points = new Array();
    	lcValues = new Array();
    }
}

/**
*	Funkcja zamieniajaca color poligonu badz lini w zaleznosci co jest
*	aktualnie edytowane.
*	parametr obj_nr oznacza numer obkiektu w tablicy objektow (polygons lub lines)
*/
function changeObjColor(obj_nr){
	if(type == 'poly'){
		poly_color = $('input_field_1').value;
		line_color = $('input_field_2').value;
		line_size = $('hue2').value;
		$('poly_opa').value = $('hue').value / 100 ;
		var opa = $('poly_opa').value;
		if(opa == null){
			opa = 0.5;
		}
	
		if(poly_color == null){
			poly_color = "#000000";
		}
		//alert(poly_color);
			polygons[obj_nr].setOptions({

            fillOpacity: opa
        });
		
			if(line_size == 0){
				map.removeOverlay(polygons[obj_nr]);
				var vertex_tmp = new Array();
				var n;
				for (n=0; n<polygons[obj_nr].getVertexCount(); n++){
					vertex_tmp[n] = polygons[obj_nr].getVertex(n);
				}
				polygons[obj_nr] = new google.maps.Polygon({
                path: vertex_tmp, 
                strokeColor: line_color, 
                strokeWidth: line_size, 
                strokeOpacity: 0.8, 
                fillColor: fill_color, 
                fillOpacity: opa});
				//polygons[obj_nr].setStrokeStyle({color: line_color, weight: line_size});
				//polygons[obj_nr].setStrokeStyle({color: line_color,});
				polygons[obj_nr].setMap(null);
			}
			else {
			polygons[obj_nr].setOptions({


                strokeWeight: line_size,
                fillColor: poly_color,
                strokeColor: line_color,
                fillOpacity: opa               
            });

        }
			$('line_opacity').value = opa;
			$('line_fill_color').value = poly_color;
			$('line_color').value = line_color;
			$('line_size').value = line_size;
		
		
	}
	if(type == 'line'){
			var line_color = $('input_field_2').value;
			var line_size = $('hue2').value;
		    if(line_size > 30 ) {
		    	alert("Za duża wartość, podaj mniejszą !")
		    }
			if(line_size <= 0 && line_size != ""){
				alert("Niepoprawna wartość");
			}
		   if(line_size > 0 && line_size <= 30 && line_size != "")  {
		    	

            lines[obj_nr].setOptions({
                strokeColor: line_color,
                strokeWeight: line_size,
                strokeOpacity: opa
            });
		    	$('line_color').value = line_color;
		    	$('line_size').value = line_size;
			}
	}
	
	
}

function savePoly(poly_nr, poly_name) {
	
	preparedPoints(poly_nr);
	var data = table_points;

//alert(table_points.toJSONString());
	
	
	itable=table_points.join(",");
	//i = table_points;
	new Ajax.Request('post_poly.php', {
	asynchronous:true,
	evalScripts:false,
	method:'post',
	onComplete:function(request, json){
		Element.hide('wait');
	},
	onLoading:function(request, json){
		Element.show('wait');
	},
	onSuccess:function(response) {
		var places = String(response.responseText);
		places = places.evalJSON()
		makeMarkers(places);
	},
	parameters:{a:itable, name:poly_name}
	});

}

/**
*
*	Funkcja przygotowuje tablice z wspolrzednymi obiektow oraz przypisuje je do
*	odpowiedniego pola w formularzu.
*
*/
function preparedPoints(poly_nr) {

	table_points = new Array();
	var points;	
	var k;

	if(type == 'poly'){
		var polygon_cur = polygons[poly_nr];
	}
	if(type == 'line'){
		var polygon_cur = lines[poly_nr];
	}
	var path = polygon_cur.getPath().b;
	for(k=0; k<path.length; k++){


        var point = path[k];
        // alert(JSON.stringify(point));
        table_points[k] = {
            'x': Number(point.lat()),
            'y': Number(point.lng())
        };
    }
	
	if(type == 'poly' || type == 'line'){
		$('polygon').value = Object.toJSON(table_points);	
	}	
}

function prepareLatLngFromJson(jsonString){
	lcValues = new Array();
	k = 0;
	var json_value = eval(jsonString);

	if (json_value.size()>0) {
		json_value._each(function(item) {
			lcValues[k] =  new google.maps.LatLng(item.x,item.y);
		k++; });
		setTimeout(function(){
			//map.setZoom(actz);
			if (type == 'poly') {
				gshow('poly');
				startShape(lcValues);
			}
			if (type == 'line') {
				gshow('line');
				startLine(lcValues);
			}}, 200);
	}
}


function drawCircle(centerMarker, radius) {

    //var normalProj = map.getCurrentMapType().getProjection();
    var zoom = map.getZoom();

    var centerPt = normalProj.fromLatLngToPixel(centerMarker, zoom);
    //var radiusPt = normalProj.fromLatLngToPixel(radiusMarker, zoom);

    var circlePoints = Array();

    with (Math) {
        //var radius = floor(sqrt(pow((centerPt.x-radiusPt.x),2) + pow((centerPt.y-radiusPt.y),2)));
        for (var a = 0 ; a < 361 ; a+=5 ) {
          	var aRad = a*(PI/180);
	       	y = centerPt.y + radius * sin(aRad)
	        x = centerPt.x + radius * cos(aRad)
	        var p = new GPoint(x,y);
	        circlePoints.push(normalProj.fromPixelToLatLng(p, zoom));
        }
        circleLine2 = new GPolygon(circlePoints, "#008000", 0, 0, "#007000",0.5);
        map.addOverlay(circleLine2);
    } 
}

function makePolys (list) {
	poly = null;
	list.polys._each(function(item) {
		var n = 0;
		var points = Array(); 
		item.points._each(function(point){
			points[n] = new GLatLng(point.x, point.y);
			n++;
		});
		var polygon = new GPolygon(points, item.line_color, item.line_size, 0.7,item.fill_color , item.opacity);
		polygon.id = item.id;
		contentDiv = document.createElement('div');
		contentDiv.id = item.id;
		if (!item.addr) item.addr='';
		contentDiv.innerHTML = '<div style="float:left; margin:3px;">'+
			'<img src="'+basedir+'48x48/'+item.icon+'"></div>'+
			'<h1>'+item.name+'</h1>'+
			item.addr+'<br/><p>'+item.desc+'<p>';
		contentDiv.style.marginRight="10px";
		alldesc[item.id] = contentDiv;
//		polygon.style.cursor = pointer;
//		polygon.bindInfoWindow(alldesc[polygon.id]);
		GEvent.addListener(polygon, "click", function(latlng){temp_latlng = latlng});
	});
	if (!opis_click) addListener(get_opis);
}

function clearPolys() {
	allpolys._each(function(poly){
		if (poly) map.removeOverlay(poly);
	});
	allpolys = new Array();
}

function makeRoute1(){
//oszacowanie trasy na podstawie lokalizacji przystankow
//sprawdza sie w przypadku rysowaniu przebiegow linii tramwajowych i prostych tras
   $('polygon').value = $('waypointsjson').value;
  prepareLatLngFromJson($('polygon').value);
  //startmap();
  //updateMap();
}

var waypoints;
var gdir;
var waypoints_temp = Array();
function makeRoute2(){
//funkcja rysuje trase przebiegu na podstawie lokalizacji przystankow wyslanej do geokodera google
	
	//wyzerowanie zawartosci pola polygon - nie bedzie wyrysowana aktualna trasa przebiegu
	$('polygon').value = '[]';
	//ponowna inicjalizacja mapy
	startmap();
	updateMap();
	
	gdir = new google.maps.DirectionsService();
	waypoints = eval($('waypoints').value);	
        directionsDisplay = new google.maps.DirectionsRenderer();
        directionsDisplay.setMap(map);
        var start= new google.maps.LatLng(waypoints[0].split(',')[0],waypoints[0].split(',')[1]);
        waypoint_array= new Array();
        for(var i=1;i<waypoints.length-1;i++){
            waypoint_array.push({location: new google.maps.LatLng(waypoints[i].split(',')[0],waypoints[i].split(',')[1])});
        }
        
        var end=  new google.maps.LatLng(waypoints[waypoints.length-1].split(',')[0],waypoints[waypoints.length-1].split(',')[1]);

        var request ={
            origin: start,//new google.maps.LatLng(waypoints[0][0],waypoints[0][1]),
            destination: end,//new google.maps.LatLng(waypoints[2][0],waypoints[2][1]),
            waypoints: waypoint_array,//new array(new google.maps.LatLng(waypoints[1][0],waypoints[1][1])),
            travelMode: google.maps.DirectionsTravelMode.DRIVING
        }

        
        gdir.route(request, function(response, status) {
    if (status == google.maps.DirectionsStatus.OK) {
      directionsDisplay.setDirections(response);
     wyznaczona= response;// console.log(response.routes[0].legs[0].steps);
    // console.log(wyznaczona.routes[0].legs[0].steps);
    }
  });

	
}

function makeRoute2polyline(){
//funkcja przechwytuje dane z wyznaczonej przez google trasy i zamienia na polilinie

        
         //console.log(wyznaczona.routes[1].legs[0].steps);
        waypoints_temp = Array();
	//var polygon_temp = gdir.getPolyline(); 
        for(j=0;j<wyznaczona.routes[0].legs.length;j++){
        for(i=0;i<wyznaczona.routes[0].legs[j].steps.length;i++){
            punkty=wyznaczona.routes[0].legs[j].steps[i].lat_lngs;
            for(k=0;k<punkty.length;k++){
                waypoints_temp.push({'x': Number(punkty[k].lat()), 'y': Number(punkty[k].lng())});
            }
          //  console.log(punkty);
            
        }
        }
	
	/*for(k=0; k<polygon_temp.getVertexCount(); k++){
		point = polygon_temp.getVertex(k);
		waypoints_temp[k] = {'x': Number(point.y), 'y': Number(point.x)};
	}; */
	//wpisanie punktow przechwyconych z trasowania google do pola formularza
	$('polygon').value = Object.toJSON(waypoints_temp); 
	//map.clearOverlays();
	directionsDisplay.setMap(null);
	//wyrysowanie polilinii
	prepareLatLngFromJson($('polygon').value);
	//ponowna inicjalizacja mapy
	//startmap();
	//updateMap();
}

function makeRoute3polyline(){
//funkcja przechwytuje linie wyznaczone przez geokoder google w trybie recznego dodawania punktow wezlowych
	var waypoints_temp_route = new Array();
	var full_route = new Array();
	for (var i = 0; i < gpolys.length; i++) {
			for (var j = 1; j < gpolys[i].getVertexCount(); j++) {
				var point = gpolys[i].getVertex(j);				
				waypoints_temp_route[j] = {'x': Number(point.y), 'y': Number(point.x)};						
			}
			//połączenie tablic z fragmentami trasy		
			full_route = full_route.concat(waypoints_temp_route);
			
		}
	//wpisanie punktow przechwyconych z trasowania google do pola formularza
	$('polygon').value = Object.toJSON(full_route); 
	
	map.clearOverlays();
	prepareLatLngFromJson($('polygon').value);
	//ponowna inicjalizacja mapy
	//startmap();
	//updateMap();
}

function makeRoute4(){
//funkcja przechwytuje linie wyznaczone przez geokoder google w trybie automatycznego dodawania punktow wezlowych
	alert(waypoints_temp_route_test);
	$('polygon').value = '[]';
	
	map.clearOverlays();
	startroute();
	var waypoints_test = $('waypoints').value;	
	alert(waypoints_test);
	var waypoints_splitted = waypoints_test.split(',"');
	for (var i = 0; i < waypoints_splitted.length; i++){		
		alert(waypoints_splitted[i]);
		addPointToRoute(waypoints_splitted[i]);	
	}
}
