<?php
/**
 * komunikacja_wersje components.
 *
 * @package    sam3
 * @subpackage komunikacja_wersje
 * @author     Maciej Kamiński
 * @version    SVN: $Id: components.class.php 12474 2008-10-31 10:41:27Z fabien $
 */

class komunikacja_wersjeComponents extends sfComponents {
  public function getWersjaRobocza()
  {
    $portal = sfConfig::get('portal');
    $wersja_robocza = UstawieniePeer::retrieveByPK('ikom_robocza_admin',$portal->getId());

    return ($wersja_robocza->getTresc());
  }

  public function executeWyborwersji()
  {
    $aktywne_wersje = KomunikacjaWersjePeer::doSelect(new Criteria());
    $options = array();
    foreach($aktywne_wersje as $wersja){
        $options[$wersja->getId()] = $wersja->getWersjaNazwa();
    }
    $this->aktywne_wersje_list = $options;
    $this->wersja_robocza = $this->getWersjaRobocza();
  }
}
?>
