<?php
	use_helper('Form');
	use_helper('I18N');
	use_stylesheet('portal/Informator');

	use_stylesheet('print_all','last',array('media'=>'print'));

	//slot('navigator');
    $path = array( __('Rozkład jazdy') => url_for('@komunikacja'));
    //include_partial('Common/nawigator', array('path' => $path));
	//end_slot();
	$_SESSION['navigator_path'] = serialize($path);
?>

<div class="page_content">
    <div class="belka"><div class="title"><?php echo link_to(__('Rozkład jazdy'), '@komunikacja'); ?></div></div>
    <div id="przystanki_updater" class="content_tresc">
        <?php if($pager->haveToPaginate()): ?>
            <div class="clr"></div>
            <?php include_partial('Common/pager',array('pager' => $pager, 'text' => __('Znaleziono przystanków'), 'url' => sprintf('komunikacjainfo/index?%s&page=', $link))); ?>
        <?php endif; ?>
            <div id="przystanki_list">
                <?php foreach($pager->getResults() as $przystanek): ?>
                    <?php include_partial('short', array('przystanek' => $przystanek))?>
                <?php endforeach; ?>
            </div>
        <?php if($pager->haveToPaginate()): ?>
            <div class="clr"></div>
            <?php include_partial('Common/pager',array('pager' => $pager, 'text' => __('Znaleziono przystanków'), 'url' => sprintf('komunikacjainfo/index?%s&page=', $link))); ?>
        <?php endif; ?>
    </div>
</div>
