<?php use_stylesheet('print_strona','last',array('media'=>'print')); ?>
<?php use_stylesheet('portal/Mapa'); ?>

<?php use_stylesheet('gmap'); ?>

<?php $relroot = sfContext::getInstance()->getRequest()->getRelativeUrlRoot(); ?>
<?php //ładowanie skryptów js wybaganych do poprawnego działania mapy ?>
<?php $marr = sfConfig::get('app_map_types'); ?>

<?php slot('scripts')?>
    <?php javascript_tag();?>
        var base = '<?php echo $relroot?>';
        var basedir = '<?php echo $relroot?>/images/ikony/';
    <?php end_javascript_tag(); ?>

    <?php //inicjalizacja zmiennych js z ikategoria/mlist ?>
    <?php javascript_tag(); ?>
        var categories_to_show = new Array();
        var subcategories_to_show = new Array();
    <?php end_javascript_tag(); ?>

    <?php if (in_array('google',$marr)): ?>
        <?php // API Google lub Open Layers ?>
        <?php //use_javascript("http://maps.googleapis.com/maps/api/js?v=3&sensor=false&key".sfConfig::get("app_key")."&amp;hl={$sf_user->getCulture()}",'first'); ?>
        <?php use_javascript('komunikacja/infobubble.js','last'); ?>       
        <?php use_javascript('mapag/keydragzoom.js','last'); //plugin do powiekszania obszaru za pomoca rysowania prostokata ?>
        <?php use_javascript('mapag/gmap.js','last'); //obiekt obslugi mapy ?>
        <?php use_javascript('geo.js','last'); //funkcje przeliczajace wspolrzedne ?>
        <?php use_javascript('mapag/gmap_functions.js','last'); //funkcje do toolboxa nad mapa ?>
        <?php use_javascript('mapag/ajax_actions.js','last'); //ladowanie markerow, linii, obszarow ajaxem ?>
        <?php use_javascript('mapag/markermanager.js','last'); //pomocniczy manager dodawania punktow na mapie ?>
        <?php use_javascript('mapag/markerclusterer.js','last'); //pomocniczy manager dodawania punktow na mapie, z opcja grupowania ikonek ?>
        <?php use_javascript('mapag/markers.js','last'); //funkcje wyrysowujace markery na mapie, oraz ladujace opisy ?>
        <?php use_javascript('mapag/lines.js','last'); //funkcje wyrysowujace linie na mapie, oraz ladujace opisy ?>
        <?php //use_javascript('mapag/fetch.js','last'); //stara funkcja zaciagajaca opisy (jeszcze kilka rzeczy z niej korzysta) ?>

        <?php if (in_array('osm',$marr)): ?>
            <?php // Open Street Map ?>
            <?php use_javascript('mapag/map-osm.js','last'); ?>
        <?php endif; ?>

        <?php if (in_array('ump',$marr)): ?>
            <?php // UMP - prawie cała Polska ?>
            <?php use_javascript('mapag/map-ump.js','last'); ?>
        <?php endif; ?>

        <?php if (in_array('karto',$marr)||in_array('lotnicza',$marr)): ?>
            <?php // Własne mapy ?>
            <?php use_javascript('mapag/map-custom.js','last'); ?>
        <?php endif; ?>

    <?php elseif(in_array('olayers',$marr)): ?>
        <?php use_javascript('olayers/OpenLayers.js','last'); ?>
        <?php use_javascript('olayers/omap.js','last'); ?>
        <?php use_javascript('olayers/fetch.js','last'); ?>
        <?php use_javascript('olayers/markers.js','last'); ?>
        <?php use_javascript('olayers/polys.js','last'); ?>
        <?php use_javascript('olayers/lines.js','last'); ?>
        <?php use_stylesheet('olayers.css'); ?>

        <?php if (in_array('gmaps',$marr)): ?>
            <?php use_javascript("http://maps.google.com/maps?file=api&amp;v=2&amp;key=".sfConfig::get("app_key")."&amp;hl={$sf_user->getCulture()}",'first'); ?>
        <?php endif; ?>

        <?php if (in_array('zoomify',$marr)): ?>
            <?php echo javascript_tag(
                "var zfy_w = ".sfConfig::get("app_map_zoomifyw").";\n"
                ."var zfy_h = ".sfConfig::get("app_map_zoomifyh").";\n"
                ."var zoomify_enabled = true;"); ?>
        <?php else: ?>
            <?php echo javascript_tag("var zoomify_enabled = false;"); ?>
        <?php endif; ?>
    <?php endif; ?>
<?php end_slot();?>

<?php javascript_tag();?>
    var map_types = Array.from(<?php echo json_encode($marr)?>);
<?php end_javascript_tag(); ?>

<?php slot('navigator'); ?>
    <?php $path = array( __('Plan komunikacji') => url_for('@komunikacja_mapa')); ?>
    <?php include_partial('Common/nawigator', array('path' => $path)); ?>
<?php end_slot(); ?>

<?php slot('content_left')?>
    <?php include_component('komunikacjamapa','menu', array('script'=>true)) ?>
<?php end_slot();?>

<?php //slot('content_left_1')?>
    <?php include_component('banery', 'show', array('miejsce'=>'mapa')); ?>
    <?php //include_component('banery', 'show', array('miejsce'=>'info')); ?>
<?php //end_slot();?>
<?php 	$_SESSION['navigator_path'] = serialize($path);?>
    
<div id="pg_bgr_top" class="page_content_top"></div>
<div id="content_center" class="page_content">
    <div class="belka resize_font">
        <div class="title">
            <?php echo link_to(__('Plan komuikacji'),'@komunikacja_mapa', array('style' => 'width: auto;')); ?>
            <div style="display: none; padding-top: 3px;" id="wait">
                <?php echo image_tag('loadingAnimation.gif',array('alt' => 'loading', 'style' => 'padding-left: 20px;')) ?>
            </div>
        </div>
    </div>

    <div id="content_tresc" class="content_tresc">
        <?php include_partial('komunikacjamapa/toolbox',array('relroot'=>$relroot));?>
        <div class="clear"></div>
        <div id="map_print" style="overflow: hidden; position: absolute; z-index: 100000;"></div>
        <div id="map" class="mapa"></div>
    </div>
</div>
<div id="pg_bgr_bottom" class="page_content_bottom"></div>
<?php slot('content_right') ?>
    <?php include_component('plan', 'panel'); ?>
<?php end_slot(); ?>

<?php slot('content_right_1') ?>

<?php end_slot(); ?>

<?php javascript_tag();?>
    var base = '<?php echo $relroot?>';
    var allmarkers = Array();
    var alllines = Array();

    var actx = <?php echo $actx?>;
    var acty = <?php echo $acty?>;
    var actz = <?php echo $zoom?>;
    /* Domyślna lokacja (obiekt zero) */
    var defx = <?php echo $defx?>;
    var defy = <?php echo $defy?>;
    var defz = <?php echo $defz?>;

    var map_types = <?php echo json_encode(sfConfig::get('app_map_types'))?>;
    var persistent = {0:'<?php echo url_for("ikategoria/get")?>'};

    function onLoad() {
        <?php //sprawdzam czy wlaczyc drag_zoom_control ?>
        <?php if(sfConfig::get('app_map_drag_zoom_control')): ?>
            gmap_user.dragzoom_enable = true;
            <?php //wlaczam dragzoomc na mapie, albo w toolboxie ?>
            gmap_user.dragzoom_type = '<?php echo sfConfig::get('app_map_drag_zoom_type', 'map'); ?>';
        <?php endif ?>

        <?php if($mapa_config['constrain'] && $mapa_config['all_bounds']): ?>
            gmap_user.bound_limit_enable = true;
            var swLimit = new google.maps.LatLng(<?php echo $mapa_config['nw_lat'] ?>,<?php echo $mapa_config['nw_lon'] ?>);
            var neLimit = new google.maps.LatLng(<?php echo $mapa_config['se_lat'] ?>,<?php echo $mapa_config['se_lon'] ?>);
            //gmap_user.bound_limit_coordinates = new GLatLngBounds(swLimit,neLimit);
        <?php endif; ?>
            
        <?php //ustawiam array z ustawionymi mapami ?>
        gmap_user.setMapsArray(map_types);
        gmap_user.init('map');
    }
    
    document.observe("dom:loaded", function() {
        onLoad();
    });
<?php end_javascript_tag(); ?>
