<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Kwiaty filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseKwiatyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwawiaty' => new sfWidgetFormFilterInput(),
      'lok_x'      => new sfWidgetFormFilterInput(),
      'lok_y'      => new sfWidgetFormFilterInput(),
      'lok_z'      => new sfWidgetFormFilterInput(),
      'komunikat'  => new sfWidgetFormFilterInput(),
      'ikona'      => new sfWidgetFormFilterInput(),
      'status'     => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'nazwawiaty' => new sfValidatorPass(array('required' => false)),
      'lok_x'      => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'lok_y'      => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'lok_z'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'komunikat'  => new sfValidatorPass(array('required' => false)),
      'ikona'      => new sfValidatorPass(array('required' => false)),
      'status'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('kwiaty_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Kwiaty';
  }

  public function getFields()
  {
    return array(
      'id'         => 'Number',
      'nazwawiaty' => 'Text',
      'lok_x'      => 'Number',
      'lok_y'      => 'Number',
      'lok_z'      => 'Number',
      'komunikat'  => 'Text',
      'ikona'      => 'Text',
      'status'     => 'Number',
    );
  }
}
