<?php

/**
 * KomunikacjaWersje form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseKomunikacjaWersjeForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'           => new sfWidgetFormInputHidden(),
      'wersja_nazwa' => new sfWidgetFormInput(),
      'wersja_opis'  => new sfWidgetFormTextarea(),
      'wazna_od'     => new sfWidgetFormDateTime(),
      'wazna_do'     => new sfWidgetFormDateTime(),
      'status'       => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'           => new sfValidatorPropelChoice(array('model' => 'KomunikacjaWersje', 'column' => 'id', 'required' => false)),
      'wersja_nazwa' => new sfValidatorString(array('max_length' => 255)),
      'wersja_opis'  => new sfValidatorString(array('required' => false)),
      'wazna_od'     => new sfValidatorDateTime(array('required' => false)),
      'wazna_do'     => new sfValidatorDateTime(array('required' => false)),
      'status'       => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('komunikacja_wersje[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KomunikacjaWersje';
  }


}
