<?php

/**
 * Ktabliczki form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseKtabliczkiForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'przystanek'      => new sfWidgetFormInput(),
      'linia'           => new sfWidgetFormInput(),
      'tabliczka'       => new sfWidgetFormTextarea(),
      'nazwaprzystanku' => new sfWidgetFormInput(),
      'kierunek'        => new sfWidgetFormInput(),
      'lok_x'           => new sfWidgetFormInput(),
      'lok_y'           => new sfWidgetFormInput(),
      'lok_z'           => new sfWidgetFormInput(),
      'komunikat'       => new sfWidgetFormTextarea(),
      'ikona'           => new sfWidgetFormInput(),
      'status'          => new sfWidgetFormInput(),
      'typ'             => new sfWidgetFormInput(),
      'kolejnosc'       => new sfWidgetFormInput(),
      'wersja_id'       => new sfWidgetFormPropelChoice(array('model' => 'KomunikacjaWersje', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorPropelChoice(array('model' => 'Ktabliczki', 'column' => 'id', 'required' => false)),
      'przystanek'      => new sfValidatorString(array('max_length' => 20)),
      'linia'           => new sfValidatorString(array('max_length' => 20)),
      'tabliczka'       => new sfValidatorString(array('required' => false)),
      'nazwaprzystanku' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kierunek'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'lok_x'           => new sfValidatorNumber(array('required' => false)),
      'lok_y'           => new sfValidatorNumber(array('required' => false)),
      'lok_z'           => new sfValidatorInteger(array('required' => false)),
      'komunikat'       => new sfValidatorString(array('required' => false)),
      'ikona'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'status'          => new sfValidatorInteger(),
      'typ'             => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kolejnosc'       => new sfValidatorInteger(),
      'wersja_id'       => new sfValidatorPropelChoice(array('model' => 'KomunikacjaWersje', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('ktabliczki[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ktabliczki';
  }


}
