<?php

/**
 * Ktrasy form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseKtrasyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'linia'           => new sfWidgetFormInput(),
      'kierunek'        => new sfWidgetFormInput(),
      'wezly'           => new sfWidgetFormTextarea(),
      'linia_nazwa'     => new sfWidgetFormInput(),
      'line_size'       => new sfWidgetFormInput(),
      'line_color'      => new sfWidgetFormInput(),
      'line_fill_color' => new sfWidgetFormInput(),
      'line_opacity'    => new sfWidgetFormInput(),
      'status'          => new sfWidgetFormInput(),
      'wersja'          => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorPropelChoice(array('model' => 'Ktrasy', 'column' => 'id', 'required' => false)),
      'linia'           => new sfValidatorString(array('max_length' => 20)),
      'kierunek'        => new sfValidatorString(array('max_length' => 255)),
      'wezly'           => new sfValidatorString(array('required' => false)),
      'linia_nazwa'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'line_size'       => new sfValidatorInteger(array('required' => false)),
      'line_color'      => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'line_fill_color' => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'line_opacity'    => new sfValidatorNumber(array('required' => false)),
      'status'          => new sfValidatorInteger(),
      'wersja'          => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('ktrasy[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ktrasy';
  }


}
