<?php


abstract class BaseKtabliczki extends BaseObject  implements Persistent {


  const PEER = 'KtabliczkiPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $przystanek;

	
	protected $linia;

	
	protected $tabliczka;

	
	protected $nazwaprzystanku;

	
	protected $kierunek;

	
	protected $lok_x;

	
	protected $lok_y;

	
	protected $lok_z;

	
	protected $komunikat;

	
	protected $ikona;

	
	protected $status;

	
	protected $typ;

	
	protected $kolejnosc;

	
	protected $wersja_id;

	
	protected $aKomunikacjaWersje;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status = 0;
		$this->kolejnosc = 0;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getPrzystanek()
	{
		return $this->przystanek;
	}

	
	public function getLinia()
	{
		return $this->linia;
	}

	
	public function getTabliczka()
	{
		return $this->tabliczka;
	}

	
	public function getNazwaprzystanku()
	{
		return $this->nazwaprzystanku;
	}

	
	public function getKierunek()
	{
		return $this->kierunek;
	}

	
	public function getLokX()
	{
		return $this->lok_x;
	}

	
	public function getLokY()
	{
		return $this->lok_y;
	}

	
	public function getLokZ()
	{
		return $this->lok_z;
	}

	
	public function getKomunikat()
	{
		return $this->komunikat;
	}

	
	public function getIkona()
	{
		return $this->ikona;
	}

	
	public function getStatus()
	{
		return $this->status;
	}

	
	public function getTyp()
	{
		return $this->typ;
	}

	
	public function getKolejnosc()
	{
		return $this->kolejnosc;
	}

	
	public function getWersjaId()
	{
		return $this->wersja_id;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::ID;
		}

		return $this;
	} 
	
	public function setPrzystanek($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->przystanek !== $v) {
			$this->przystanek = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::PRZYSTANEK;
		}

		return $this;
	} 
	
	public function setLinia($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->linia !== $v) {
			$this->linia = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::LINIA;
		}

		return $this;
	} 
	
	public function setTabliczka($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->tabliczka !== $v) {
			$this->tabliczka = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::TABLICZKA;
		}

		return $this;
	} 
	
	public function setNazwaprzystanku($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwaprzystanku !== $v) {
			$this->nazwaprzystanku = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::NAZWAPRZYSTANKU;
		}

		return $this;
	} 
	
	public function setKierunek($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->kierunek !== $v) {
			$this->kierunek = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::KIERUNEK;
		}

		return $this;
	} 
	
	public function setLokX($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->lok_x !== $v) {
			$this->lok_x = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::LOK_X;
		}

		return $this;
	} 
	
	public function setLokY($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->lok_y !== $v) {
			$this->lok_y = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::LOK_Y;
		}

		return $this;
	} 
	
	public function setLokZ($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->lok_z !== $v) {
			$this->lok_z = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::LOK_Z;
		}

		return $this;
	} 
	
	public function setKomunikat($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->komunikat !== $v) {
			$this->komunikat = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::KOMUNIKAT;
		}

		return $this;
	} 
	
	public function setIkona($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->ikona !== $v) {
			$this->ikona = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::IKONA;
		}

		return $this;
	} 
	
	public function setStatus($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status !== $v || $v === 0) {
			$this->status = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::STATUS;
		}

		return $this;
	} 
	
	public function setTyp($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->typ !== $v) {
			$this->typ = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::TYP;
		}

		return $this;
	} 
	
	public function setKolejnosc($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->kolejnosc !== $v || $v === 0) {
			$this->kolejnosc = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::KOLEJNOSC;
		}

		return $this;
	} 
	
	public function setWersjaId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->wersja_id !== $v) {
			$this->wersja_id = $v;
			$this->modifiedColumns[] = KtabliczkiPeer::WERSJA_ID;
		}

		if ($this->aKomunikacjaWersje !== null && $this->aKomunikacjaWersje->getId() !== $v) {
			$this->aKomunikacjaWersje = null;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(KtabliczkiPeer::STATUS,KtabliczkiPeer::KOLEJNOSC))) {
				return false;
			}

			if ($this->status !== 0) {
				return false;
			}

			if ($this->kolejnosc !== 0) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->przystanek = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->linia = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->tabliczka = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->nazwaprzystanku = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->kierunek = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->lok_x = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->lok_y = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->lok_z = ($row[$startcol + 8] !== null) ? (int) $row[$startcol + 8] : null;
			$this->komunikat = ($row[$startcol + 9] !== null) ? (string) $row[$startcol + 9] : null;
			$this->ikona = ($row[$startcol + 10] !== null) ? (string) $row[$startcol + 10] : null;
			$this->status = ($row[$startcol + 11] !== null) ? (int) $row[$startcol + 11] : null;
			$this->typ = ($row[$startcol + 12] !== null) ? (string) $row[$startcol + 12] : null;
			$this->kolejnosc = ($row[$startcol + 13] !== null) ? (int) $row[$startcol + 13] : null;
			$this->wersja_id = ($row[$startcol + 14] !== null) ? (int) $row[$startcol + 14] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 15; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Ktabliczki object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->aKomunikacjaWersje !== null && $this->wersja_id !== $this->aKomunikacjaWersje->getId()) {
			$this->aKomunikacjaWersje = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = KtabliczkiPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->aKomunikacjaWersje = null;
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			KtabliczkiPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			KtabliczkiPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->aKomunikacjaWersje !== null) {
				if ($this->aKomunikacjaWersje->isModified() || $this->aKomunikacjaWersje->isNew()) {
					$affectedRows += $this->aKomunikacjaWersje->save($con);
				}
				$this->setKomunikacjaWersje($this->aKomunikacjaWersje);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = KtabliczkiPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = KtabliczkiPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += KtabliczkiPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aKomunikacjaWersje !== null) {
				if (!$this->aKomunikacjaWersje->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aKomunikacjaWersje->getValidationFailures());
				}
			}


			if (($retval = KtabliczkiPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = KtabliczkiPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getPrzystanek();
				break;
			case 2:
				return $this->getLinia();
				break;
			case 3:
				return $this->getTabliczka();
				break;
			case 4:
				return $this->getNazwaprzystanku();
				break;
			case 5:
				return $this->getKierunek();
				break;
			case 6:
				return $this->getLokX();
				break;
			case 7:
				return $this->getLokY();
				break;
			case 8:
				return $this->getLokZ();
				break;
			case 9:
				return $this->getKomunikat();
				break;
			case 10:
				return $this->getIkona();
				break;
			case 11:
				return $this->getStatus();
				break;
			case 12:
				return $this->getTyp();
				break;
			case 13:
				return $this->getKolejnosc();
				break;
			case 14:
				return $this->getWersjaId();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = KtabliczkiPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getPrzystanek(),
			$keys[2] => $this->getLinia(),
			$keys[3] => $this->getTabliczka(),
			$keys[4] => $this->getNazwaprzystanku(),
			$keys[5] => $this->getKierunek(),
			$keys[6] => $this->getLokX(),
			$keys[7] => $this->getLokY(),
			$keys[8] => $this->getLokZ(),
			$keys[9] => $this->getKomunikat(),
			$keys[10] => $this->getIkona(),
			$keys[11] => $this->getStatus(),
			$keys[12] => $this->getTyp(),
			$keys[13] => $this->getKolejnosc(),
			$keys[14] => $this->getWersjaId(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = KtabliczkiPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setPrzystanek($value);
				break;
			case 2:
				$this->setLinia($value);
				break;
			case 3:
				$this->setTabliczka($value);
				break;
			case 4:
				$this->setNazwaprzystanku($value);
				break;
			case 5:
				$this->setKierunek($value);
				break;
			case 6:
				$this->setLokX($value);
				break;
			case 7:
				$this->setLokY($value);
				break;
			case 8:
				$this->setLokZ($value);
				break;
			case 9:
				$this->setKomunikat($value);
				break;
			case 10:
				$this->setIkona($value);
				break;
			case 11:
				$this->setStatus($value);
				break;
			case 12:
				$this->setTyp($value);
				break;
			case 13:
				$this->setKolejnosc($value);
				break;
			case 14:
				$this->setWersjaId($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = KtabliczkiPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setPrzystanek($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setLinia($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setTabliczka($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setNazwaprzystanku($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setKierunek($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setLokX($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setLokY($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setLokZ($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setKomunikat($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setIkona($arr[$keys[10]]);
		if (array_key_exists($keys[11], $arr)) $this->setStatus($arr[$keys[11]]);
		if (array_key_exists($keys[12], $arr)) $this->setTyp($arr[$keys[12]]);
		if (array_key_exists($keys[13], $arr)) $this->setKolejnosc($arr[$keys[13]]);
		if (array_key_exists($keys[14], $arr)) $this->setWersjaId($arr[$keys[14]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(KtabliczkiPeer::DATABASE_NAME);

		if ($this->isColumnModified(KtabliczkiPeer::ID)) $criteria->add(KtabliczkiPeer::ID, $this->id);
		if ($this->isColumnModified(KtabliczkiPeer::PRZYSTANEK)) $criteria->add(KtabliczkiPeer::PRZYSTANEK, $this->przystanek);
		if ($this->isColumnModified(KtabliczkiPeer::LINIA)) $criteria->add(KtabliczkiPeer::LINIA, $this->linia);
		if ($this->isColumnModified(KtabliczkiPeer::TABLICZKA)) $criteria->add(KtabliczkiPeer::TABLICZKA, $this->tabliczka);
		if ($this->isColumnModified(KtabliczkiPeer::NAZWAPRZYSTANKU)) $criteria->add(KtabliczkiPeer::NAZWAPRZYSTANKU, $this->nazwaprzystanku);
		if ($this->isColumnModified(KtabliczkiPeer::KIERUNEK)) $criteria->add(KtabliczkiPeer::KIERUNEK, $this->kierunek);
		if ($this->isColumnModified(KtabliczkiPeer::LOK_X)) $criteria->add(KtabliczkiPeer::LOK_X, $this->lok_x);
		if ($this->isColumnModified(KtabliczkiPeer::LOK_Y)) $criteria->add(KtabliczkiPeer::LOK_Y, $this->lok_y);
		if ($this->isColumnModified(KtabliczkiPeer::LOK_Z)) $criteria->add(KtabliczkiPeer::LOK_Z, $this->lok_z);
		if ($this->isColumnModified(KtabliczkiPeer::KOMUNIKAT)) $criteria->add(KtabliczkiPeer::KOMUNIKAT, $this->komunikat);
		if ($this->isColumnModified(KtabliczkiPeer::IKONA)) $criteria->add(KtabliczkiPeer::IKONA, $this->ikona);
		if ($this->isColumnModified(KtabliczkiPeer::STATUS)) $criteria->add(KtabliczkiPeer::STATUS, $this->status);
		if ($this->isColumnModified(KtabliczkiPeer::TYP)) $criteria->add(KtabliczkiPeer::TYP, $this->typ);
		if ($this->isColumnModified(KtabliczkiPeer::KOLEJNOSC)) $criteria->add(KtabliczkiPeer::KOLEJNOSC, $this->kolejnosc);
		if ($this->isColumnModified(KtabliczkiPeer::WERSJA_ID)) $criteria->add(KtabliczkiPeer::WERSJA_ID, $this->wersja_id);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(KtabliczkiPeer::DATABASE_NAME);

		$criteria->add(KtabliczkiPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setPrzystanek($this->przystanek);

		$copyObj->setLinia($this->linia);

		$copyObj->setTabliczka($this->tabliczka);

		$copyObj->setNazwaprzystanku($this->nazwaprzystanku);

		$copyObj->setKierunek($this->kierunek);

		$copyObj->setLokX($this->lok_x);

		$copyObj->setLokY($this->lok_y);

		$copyObj->setLokZ($this->lok_z);

		$copyObj->setKomunikat($this->komunikat);

		$copyObj->setIkona($this->ikona);

		$copyObj->setStatus($this->status);

		$copyObj->setTyp($this->typ);

		$copyObj->setKolejnosc($this->kolejnosc);

		$copyObj->setWersjaId($this->wersja_id);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new KtabliczkiPeer();
		}
		return self::$peer;
	}

	
	public function setKomunikacjaWersje(KomunikacjaWersje $v = null)
	{
		if ($v === null) {
			$this->setWersjaId(NULL);
		} else {
			$this->setWersjaId($v->getId());
		}

		$this->aKomunikacjaWersje = $v;

						if ($v !== null) {
			$v->addKtabliczki($this);
		}

		return $this;
	}


	
	public function getKomunikacjaWersje(PropelPDO $con = null)
	{
		if ($this->aKomunikacjaWersje === null && ($this->wersja_id !== null)) {
			$c = new Criteria(KomunikacjaWersjePeer::DATABASE_NAME);
			$c->add(KomunikacjaWersjePeer::ID, $this->wersja_id);
			$this->aKomunikacjaWersje = KomunikacjaWersjePeer::doSelectOne($c, $con);
			
		}
		return $this->aKomunikacjaWersje;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
			$this->aKomunikacjaWersje = null;
	}

} 