<?php


abstract class BaseKtabliczkiPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'komunikacja_tabliczki';

	
	const CLASS_DEFAULT = 'lib.model.Ktabliczki';

	
	const NUM_COLUMNS = 15;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'komunikacja_tabliczki.ID';

	
	const PRZYSTANEK = 'komunikacja_tabliczki.PRZYSTANEK';

	
	const LINIA = 'komunikacja_tabliczki.LINIA';

	
	const TABLICZKA = 'komunikacja_tabliczki.TABLICZKA';

	
	const NAZWAPRZYSTANKU = 'komunikacja_tabliczki.NAZWAPRZYSTANKU';

	
	const KIERUNEK = 'komunikacja_tabliczki.KIERUNEK';

	
	const LOK_X = 'komunikacja_tabliczki.LOK_X';

	
	const LOK_Y = 'komunikacja_tabliczki.LOK_Y';

	
	const LOK_Z = 'komunikacja_tabliczki.LOK_Z';

	
	const KOMUNIKAT = 'komunikacja_tabliczki.KOMUNIKAT';

	
	const IKONA = 'komunikacja_tabliczki.IKONA';

	
	const STATUS = 'komunikacja_tabliczki.STATUS';

	
	const TYP = 'komunikacja_tabliczki.TYP';

	
	const KOLEJNOSC = 'komunikacja_tabliczki.KOLEJNOSC';

	
	const WERSJA_ID = 'komunikacja_tabliczki.WERSJA_ID';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Przystanek', 'Linia', 'Tabliczka', 'Nazwaprzystanku', 'Kierunek', 'LokX', 'LokY', 'LokZ', 'Komunikat', 'Ikona', 'Status', 'Typ', 'Kolejnosc', 'WersjaId', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'przystanek', 'linia', 'tabliczka', 'nazwaprzystanku', 'kierunek', 'lokX', 'lokY', 'lokZ', 'komunikat', 'ikona', 'status', 'typ', 'kolejnosc', 'wersjaId', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::PRZYSTANEK, self::LINIA, self::TABLICZKA, self::NAZWAPRZYSTANKU, self::KIERUNEK, self::LOK_X, self::LOK_Y, self::LOK_Z, self::KOMUNIKAT, self::IKONA, self::STATUS, self::TYP, self::KOLEJNOSC, self::WERSJA_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'przystanek', 'linia', 'tabliczka', 'nazwaprzystanku', 'kierunek', 'lok_x', 'lok_y', 'lok_z', 'komunikat', 'ikona', 'status', 'typ', 'kolejnosc', 'wersja_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Przystanek' => 1, 'Linia' => 2, 'Tabliczka' => 3, 'Nazwaprzystanku' => 4, 'Kierunek' => 5, 'LokX' => 6, 'LokY' => 7, 'LokZ' => 8, 'Komunikat' => 9, 'Ikona' => 10, 'Status' => 11, 'Typ' => 12, 'Kolejnosc' => 13, 'WersjaId' => 14, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'przystanek' => 1, 'linia' => 2, 'tabliczka' => 3, 'nazwaprzystanku' => 4, 'kierunek' => 5, 'lokX' => 6, 'lokY' => 7, 'lokZ' => 8, 'komunikat' => 9, 'ikona' => 10, 'status' => 11, 'typ' => 12, 'kolejnosc' => 13, 'wersjaId' => 14, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::PRZYSTANEK => 1, self::LINIA => 2, self::TABLICZKA => 3, self::NAZWAPRZYSTANKU => 4, self::KIERUNEK => 5, self::LOK_X => 6, self::LOK_Y => 7, self::LOK_Z => 8, self::KOMUNIKAT => 9, self::IKONA => 10, self::STATUS => 11, self::TYP => 12, self::KOLEJNOSC => 13, self::WERSJA_ID => 14, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'przystanek' => 1, 'linia' => 2, 'tabliczka' => 3, 'nazwaprzystanku' => 4, 'kierunek' => 5, 'lok_x' => 6, 'lok_y' => 7, 'lok_z' => 8, 'komunikat' => 9, 'ikona' => 10, 'status' => 11, 'typ' => 12, 'kolejnosc' => 13, 'wersja_id' => 14, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new KtabliczkiMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(KtabliczkiPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(KtabliczkiPeer::ID);

		$criteria->addSelectColumn(KtabliczkiPeer::PRZYSTANEK);

		$criteria->addSelectColumn(KtabliczkiPeer::LINIA);

		$criteria->addSelectColumn(KtabliczkiPeer::TABLICZKA);

		$criteria->addSelectColumn(KtabliczkiPeer::NAZWAPRZYSTANKU);

		$criteria->addSelectColumn(KtabliczkiPeer::KIERUNEK);

		$criteria->addSelectColumn(KtabliczkiPeer::LOK_X);

		$criteria->addSelectColumn(KtabliczkiPeer::LOK_Y);

		$criteria->addSelectColumn(KtabliczkiPeer::LOK_Z);

		$criteria->addSelectColumn(KtabliczkiPeer::KOMUNIKAT);

		$criteria->addSelectColumn(KtabliczkiPeer::IKONA);

		$criteria->addSelectColumn(KtabliczkiPeer::STATUS);

		$criteria->addSelectColumn(KtabliczkiPeer::TYP);

		$criteria->addSelectColumn(KtabliczkiPeer::KOLEJNOSC);

		$criteria->addSelectColumn(KtabliczkiPeer::WERSJA_ID);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(KtabliczkiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			KtabliczkiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = KtabliczkiPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return KtabliczkiPeer::populateObjects(KtabliczkiPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			KtabliczkiPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(Ktabliczki $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof Ktabliczki) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or Ktabliczki object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = KtabliczkiPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = KtabliczkiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = KtabliczkiPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				KtabliczkiPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinKomunikacjaWersje(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(KtabliczkiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			KtabliczkiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(KtabliczkiPeer::WERSJA_ID,), array(KomunikacjaWersjePeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinKomunikacjaWersje(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		KtabliczkiPeer::addSelectColumns($c);
		$startcol = (KtabliczkiPeer::NUM_COLUMNS - KtabliczkiPeer::NUM_LAZY_LOAD_COLUMNS);
		KomunikacjaWersjePeer::addSelectColumns($c);

		$c->addJoin(array(KtabliczkiPeer::WERSJA_ID,), array(KomunikacjaWersjePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = KtabliczkiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = KtabliczkiPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = KtabliczkiPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				KtabliczkiPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = KomunikacjaWersjePeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = KomunikacjaWersjePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = KomunikacjaWersjePeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					KomunikacjaWersjePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addKtabliczki($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(KtabliczkiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			KtabliczkiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(KtabliczkiPeer::WERSJA_ID,), array(KomunikacjaWersjePeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		KtabliczkiPeer::addSelectColumns($c);
		$startcol2 = (KtabliczkiPeer::NUM_COLUMNS - KtabliczkiPeer::NUM_LAZY_LOAD_COLUMNS);

		KomunikacjaWersjePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (KomunikacjaWersjePeer::NUM_COLUMNS - KomunikacjaWersjePeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(KtabliczkiPeer::WERSJA_ID,), array(KomunikacjaWersjePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = KtabliczkiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = KtabliczkiPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = KtabliczkiPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				KtabliczkiPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = KomunikacjaWersjePeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = KomunikacjaWersjePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = KomunikacjaWersjePeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					KomunikacjaWersjePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addKtabliczki($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return KtabliczkiPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(KtabliczkiPeer::ID) && $criteria->keyContainsValue(KtabliczkiPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.KtabliczkiPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(KtabliczkiPeer::ID);
			$selectCriteria->add(KtabliczkiPeer::ID, $criteria->remove(KtabliczkiPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(KtabliczkiPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												KtabliczkiPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof Ktabliczki) {
						KtabliczkiPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(KtabliczkiPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								KtabliczkiPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(Ktabliczki $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(KtabliczkiPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(KtabliczkiPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(KtabliczkiPeer::DATABASE_NAME, KtabliczkiPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = KtabliczkiPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = KtabliczkiPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(KtabliczkiPeer::DATABASE_NAME);
		$criteria->add(KtabliczkiPeer::ID, $pk);

		$v = KtabliczkiPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtabliczkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(KtabliczkiPeer::DATABASE_NAME);
			$criteria->add(KtabliczkiPeer::ID, $pks, Criteria::IN);
			$objs = KtabliczkiPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseKtabliczkiPeer::DATABASE_NAME)->addTableBuilder(BaseKtabliczkiPeer::TABLE_NAME, BaseKtabliczkiPeer::getMapBuilder());

