<?php


abstract class BaseKtrasyPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'komunikacja_trasy';

	
	const CLASS_DEFAULT = 'lib.model.Ktrasy';

	
	const NUM_COLUMNS = 11;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'komunikacja_trasy.ID';

	
	const LINIA = 'komunikacja_trasy.LINIA';

	
	const KIERUNEK = 'komunikacja_trasy.KIERUNEK';

	
	const WEZLY = 'komunikacja_trasy.WEZLY';

	
	const LINIA_NAZWA = 'komunikacja_trasy.LINIA_NAZWA';

	
	const LINE_SIZE = 'komunikacja_trasy.LINE_SIZE';

	
	const LINE_COLOR = 'komunikacja_trasy.LINE_COLOR';

	
	const LINE_FILL_COLOR = 'komunikacja_trasy.LINE_FILL_COLOR';

	
	const LINE_OPACITY = 'komunikacja_trasy.LINE_OPACITY';

	
	const STATUS = 'komunikacja_trasy.STATUS';

	
	const WERSJA = 'komunikacja_trasy.WERSJA';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Linia', 'Kierunek', 'Wezly', 'LiniaNazwa', 'LineSize', 'LineColor', 'LineFillColor', 'LineOpacity', 'Status', 'Wersja', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'linia', 'kierunek', 'wezly', 'liniaNazwa', 'lineSize', 'lineColor', 'lineFillColor', 'lineOpacity', 'status', 'wersja', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::LINIA, self::KIERUNEK, self::WEZLY, self::LINIA_NAZWA, self::LINE_SIZE, self::LINE_COLOR, self::LINE_FILL_COLOR, self::LINE_OPACITY, self::STATUS, self::WERSJA, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'linia', 'kierunek', 'wezly', 'linia_nazwa', 'line_size', 'line_color', 'line_fill_color', 'line_opacity', 'status', 'wersja', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Linia' => 1, 'Kierunek' => 2, 'Wezly' => 3, 'LiniaNazwa' => 4, 'LineSize' => 5, 'LineColor' => 6, 'LineFillColor' => 7, 'LineOpacity' => 8, 'Status' => 9, 'Wersja' => 10, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'linia' => 1, 'kierunek' => 2, 'wezly' => 3, 'liniaNazwa' => 4, 'lineSize' => 5, 'lineColor' => 6, 'lineFillColor' => 7, 'lineOpacity' => 8, 'status' => 9, 'wersja' => 10, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::LINIA => 1, self::KIERUNEK => 2, self::WEZLY => 3, self::LINIA_NAZWA => 4, self::LINE_SIZE => 5, self::LINE_COLOR => 6, self::LINE_FILL_COLOR => 7, self::LINE_OPACITY => 8, self::STATUS => 9, self::WERSJA => 10, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'linia' => 1, 'kierunek' => 2, 'wezly' => 3, 'linia_nazwa' => 4, 'line_size' => 5, 'line_color' => 6, 'line_fill_color' => 7, 'line_opacity' => 8, 'status' => 9, 'wersja' => 10, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new KtrasyMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(KtrasyPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(KtrasyPeer::ID);

		$criteria->addSelectColumn(KtrasyPeer::LINIA);

		$criteria->addSelectColumn(KtrasyPeer::KIERUNEK);

		$criteria->addSelectColumn(KtrasyPeer::WEZLY);

		$criteria->addSelectColumn(KtrasyPeer::LINIA_NAZWA);

		$criteria->addSelectColumn(KtrasyPeer::LINE_SIZE);

		$criteria->addSelectColumn(KtrasyPeer::LINE_COLOR);

		$criteria->addSelectColumn(KtrasyPeer::LINE_FILL_COLOR);

		$criteria->addSelectColumn(KtrasyPeer::LINE_OPACITY);

		$criteria->addSelectColumn(KtrasyPeer::STATUS);

		$criteria->addSelectColumn(KtrasyPeer::WERSJA);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(KtrasyPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			KtrasyPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = KtrasyPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return KtrasyPeer::populateObjects(KtrasyPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			KtrasyPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(Ktrasy $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof Ktrasy) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or Ktrasy object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = KtrasyPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = KtrasyPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = KtrasyPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				KtrasyPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return KtrasyPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(KtrasyPeer::ID) && $criteria->keyContainsValue(KtrasyPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.KtrasyPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(KtrasyPeer::ID);
			$selectCriteria->add(KtrasyPeer::ID, $criteria->remove(KtrasyPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(KtrasyPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												KtrasyPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof Ktrasy) {
						KtrasyPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(KtrasyPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								KtrasyPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(Ktrasy $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(KtrasyPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(KtrasyPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(KtrasyPeer::DATABASE_NAME, KtrasyPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = KtrasyPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = KtrasyPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(KtrasyPeer::DATABASE_NAME);
		$criteria->add(KtrasyPeer::ID, $pk);

		$v = KtrasyPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(KtrasyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(KtrasyPeer::DATABASE_NAME);
			$criteria->add(KtrasyPeer::ID, $pks, Criteria::IN);
			$objs = KtrasyPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseKtrasyPeer::DATABASE_NAME)->addTableBuilder(BaseKtrasyPeer::TABLE_NAME, BaseKtrasyPeer::getMapBuilder());

